2015-04-05 20:07:10  michael

	* [r5788] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Revved patchlevel to 8.2.7

2015-04-05 20:05:43  michael

	* [r5787] /ircd-hybrid/branches/8.2.x/src/version.c:
	  - Update version.c

2015-04-05 17:17:51  michael

	* [r5785] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - sendnick_TS(), introduce_client(): use the %u conversion specifier for unsigned ints

2015-04-05 17:00:54  michael

	* [r5782] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:find_user_host(): removed unused 'flags' argument

2015-04-05 13:21:54  michael

	* [r5781] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-04-04 19:47:27  michael

	* [r5779] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c:uid_from_server(): default to '*' for clients that don't have an accountname assigned

2015-04-04 19:45:56  michael

	* [r5778] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:msg_tree_parse(): cleaned up an assert()

2015-04-04 19:31:06  michael

	* [r5775] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/server.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_gline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_resv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_undline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unkline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unresv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unxline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_xline.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c:
	  - Changed some function to void if we don't need a return value
	  - Have some other functions return saner values

2015-04-04 17:42:35  michael

	* [r5773] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pass.c:
	  - Removed TS_DOESTS, DoesTS, and related code

2015-04-03 20:15:06  michael

	* [r5772] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-04-03 19:02:47  michael

	* [r5771] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-04-02 21:52:15  michael

	* [r5770] /ircd-hybrid/branches/8.2.x/modules/m_help.c:
	  - Cleaned up strlen() based array indices

2015-04-02 20:47:57  michael

	* [r5767] /ircd-hybrid/branches/8.2.x/help/index:
	  - Update help/index

2015-04-02 20:41:33  michael

	* [r5766] /ircd-hybrid/branches/8.2.x/help/Makefile.in:
	  - Rebuilt help/Makefile.in

2015-04-02 20:39:00  michael

	* [r5763] /ircd-hybrid/branches/8.2.x/help/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/help/capab, 
	  /ircd-hybrid/branches/8.2.x/help/eob, 
	  /ircd-hybrid/branches/8.2.x/help/server, 
	  /ircd-hybrid/branches/8.2.x/help/sjoin, 
	  /ircd-hybrid/branches/8.2.x/help/svinfo:
	  - Removed some help files for inter-server commands

2015-04-02 20:34:17  michael

	* [r5762] /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h:
	  - Regenerate parser/lexer files

2015-04-02 20:28:51  michael

	* [r5759] /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - Removed unused HIDE_SPOOF_IPS and GLOBAL_KILL tokens

2015-04-02 20:26:29  michael

	* [r5758] /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - Changed some members of the Ban structure to use fixed-size arrays

2015-04-02 19:32:13  michael

	* [r5755] /ircd-hybrid/branches/8.2.x/modules/core/m_bmask.c:
	  - m_bmask.c: fixed potential BMASK buffer overflow. Patch provided by Adam.

2015-04-02 19:29:27  michael

	* [r5754] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:add_id(): removed useless IsServer() test

2015-04-02 19:27:13  michael

	* [r5751] /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_topic.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c:
	  - Mostly whitespace changes

2015-03-31 13:56:02  michael

	* [r5750] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c: moved 'if (!mode_count)' test from send_mode_changes_client() to
	    set_channel_mode()

2015-03-31 13:51:23  michael

	* [r5747] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c: renamed send_mode_changes() to send_mode_changes_client();
	    have send_mode_changes_server() called from set_channel_mode()

2015-03-31 13:37:15  michael

	* [r5746] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:chm_ban(), chm_except(), chm_invex(): replaced memcpy() with strlcpy()

2015-03-31 13:33:36  michael

	* [r5744] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:register_remote_user(): removed strcmp() mess from remote connection notices
	    (backward compatibility for older servers using "0" in UID messages for spoofed hosts)

2015-03-29 18:31:46  michael

	* [r5740] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-03-29 18:06:06  michael

	* [r5739] /ircd-hybrid/branches/8.2.x/README:
	  - Update README file

2015-03-29 13:10:50  michael

	* [r5736] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:write_pidfile(): removed the PID from the error message

2015-03-29 13:01:37  michael

	* [r5735] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-03-29 13:00:20  michael

	* [r5734] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Revved version to 8.2.6

2015-03-29 12:58:08  michael

	* [r5733] /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c: cleanup some comments

2015-03-29 12:46:58  michael

	* [r5730] /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c:make_client(): default client_p->account to '*'

2015-03-29 12:22:04  michael

	* [r5729] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c: incorporate Adam's add_one_to_uid() rewrite

2015-03-22 17:28:38  michael

	* [r5722] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:main(): replaced pointless comment with a more descriptive one

2015-03-22 12:50:46  michael

	* [r5721] /ircd-hybrid/branches/8.2.x/src/auth.c:
	  - auth.c:auth_connect_callback(): saved a strlen(); hardened test of send()'s return value to
	    ensure all bytes were sent

2015-03-22 12:28:51  michael

	* [r5718] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - reference.conf: minor fixes

2015-03-15 14:40:22  michael

	* [r5698] /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h:
	  - Rebuilt parser files

2015-03-14 21:40:41  michael

	* [r5694] /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - conf_parser.y: removed YY_NO_UNPUT define which was an undocumented feature
	    and has been deprecated for many years now. Proper way is to use 'nounput'
	    in the scanner options.

2015-03-11 17:13:41  michael

	* [r5663] /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.c: RPL_WHOREPLY: use %u conversion specifier for unsigned ints

2015-03-06 18:09:33  michael

	* [r5645] /ircd-hybrid/branches/8.2.x/include/defaults.h:
	  - defaults.h: tweaked TS_WARN_DELTA_MIN and TS_MAX_DELTA_MIN; allow minimum values of 1

2015-03-03 18:23:32  michael

	* [r5643] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.h, conf.c: renamed some structures to match naming convetion of other structures

2015-03-01 20:46:45  michael

	* [r5641] /ircd-hybrid/branches/8.2.x/modules/m_whowas.c:
	  - m_whowas.c: fixed spelling

2015-03-01 17:15:37  michael

	* [r5640] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_who.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - Constifications

2015-03-01 16:32:55  michael

	* [r5637] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whowas.c:
	  - Fixed bug that would allow remote clients to bypass the hard
	    limit of max WHOWAS entries to be returned

2015-03-01 14:46:39  michael

	* [r5636] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Updated NEWS

2015-03-01 14:42:56  michael

	* [r5633] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Updated NEWS

2015-03-01 13:21:06  michael

	* [r5632] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2015-03-01 13:18:47  michael

	* [r5630] /ircd-hybrid/branches/8.2.x/include/whowas.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whowas.c, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c, 
	  /ircd-hybrid/branches/8.2.x/src/whowas.c:
	  - WHOWAS now shows IP addresses to irc operators
	  - Changed RPL_WHOISACTUALLY numeric string. In the future it will also show the
	    *real* hostname once we distinguish between spoofs/vhosts and real hosts

2015-02-28 22:18:46  michael

	* [r5629] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2015-02-27 20:43:31  michael

	* [r5627] /ircd-hybrid/branches/8.2.x/modules/m_map.c:
	  - m_map.c:dump_map(): removed now useless test on server->id[0]

2015-02-27 20:38:52  michael

	* [r5626] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c: style corrections

2015-02-27 20:28:06  michael

	* [r5623] /ircd-hybrid/branches/8.2.x/doc/index.txt:
	  - index.txt: updates provided by jackal

2015-02-27 20:19:45  michael

	* [r5622] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - reference.conf: minor cleanup

2015-02-27 20:13:12  michael

	* [r5619] /ircd-hybrid/branches/8.2.x/modules/m_info.c:
	  - m_info.c: added missing 'max_watch' and 'stats_m_oper_only' to /info

2015-02-24 21:31:18  michael

	* [r5617] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Revved patchlevel to 8.2.5

2015-02-24 21:20:40  michael

	* [r5615] /ircd-hybrid/branches/8.2.x/INSTALL:
	  - Minor updates to INSTALL provided by jackal

2015-02-24 20:41:11  michael

	* [r5613] /ircd-hybrid/branches/8.2.x/include/ircd.h:
	  - ircd.h: removed useless comment

2015-02-24 20:29:24  michael

	* [r5612] /ircd-hybrid/branches/8.2.x/doc/modes.txt:
	  - Update modes.txt

2015-02-24 20:15:48  michael

	* [r5609] /ircd-hybrid/branches/8.2.x/README:
	  - Update README file

2015-02-23 23:49:29  michael

	* [r5607] /ircd-hybrid/branches/8.2.x/README:
	  - Update README file. Added Mac OS X 10.10 (Yosemite) to supported platforms. Thanks to Daniel Oaks.

2015-02-23 23:30:06  michael

	* [r5606] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-02-23 22:07:34  michael

	* [r5605] /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h:
	  - Re-generate parser files

2015-02-23 22:07:13  michael

	* [r5604] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/ircd.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - Fixed core in conjunction with OSX 10.10/possibly other system when parsing pseudo{} blocks as reported by Daniel Oaks
	  - Reverted -r4079, -r4608 and 4107 as they only cause undefined behavior on some systems

2015-02-19 20:27:05  michael

	* [r5600] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c: minor fixes to update fd info accordingly if unregistered clients
	    change just the case of their nick. Patch provided by Adam.

2015-02-18 22:25:45  michael

	* [r5598] /ircd-hybrid/branches/8.2.x/help/whowas:
	  - help/whowas: incorporate changes done by jackal

2015-02-17 21:00:19  michael

	* [r5596] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-02-17 20:50:21  michael

	* [r5594] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Revved patchlevel to 8.2.4

2015-02-17 20:48:12  michael

	* [r5592] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/ltmain.sh, 
	  /ircd-hybrid/branches/8.2.x/m4/libtool.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltversion.m4:
	  - libtool 2.4.6

2015-02-17 18:55:40  michael

	* [r5591] /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/fdlist.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Sprinkle some assert()

2015-02-17 18:32:13  michael

	* [r5588] /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c: whitespace changes

2015-02-15 22:45:20  michael

	* [r5587] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Fixed spelling

2015-02-15 22:42:38  michael

	* [r5586] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-02-15 16:03:04  michael

	* [r5585] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.h, conf.c:cluster_a_line(): made 'capab' and 'cluster_type' unsigned types

2015-02-15 15:42:58  michael

	* [r5582] /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_links.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_pseudo.c, 
	  /ircd-hybrid/branches/8.2.x/src/event.c, 
	  /ircd-hybrid/branches/8.2.x/src/fdlist.c, 
	  /ircd-hybrid/branches/8.2.x/src/parse.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c:
	  - Style corrections only

2015-02-15 13:40:22  michael

	* [r5581] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2015-02-15 13:38:33  michael

	* [r5579] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:chm_operonly(): half-ops that are irc operators may now
	    add/remove channel mode 'O' (ircops only channel), too

2015-02-15 13:35:44  michael

	* [r5578] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2015-02-15 13:32:58  michael

	* [r5576] /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c:
	  - m_kick.c:ms_kick(): replaced IsServer() test with IsClient()

2015-02-15 13:30:09  michael

	* [r5575] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/whowas.h:
	  - Renamed SVIDLEN to ACCOUNTLEN

2015-02-15 13:28:06  michael

	* [r5574] /ircd-hybrid/branches/8.2.x/include/ircd_defs.h:
	  - Renamed SVIDLEN to ACCOUNTLEN

2015-02-15 13:19:39  michael

	* [r5571] /ircd-hybrid/branches/8.2.x/include/ircd_defs.h:
	  - ircd_defs.h: add a note that NICKLEN should not be touched as the maximum
	    allowed nickname lenght can be changed in the ircd.conf file. NICKLEN is
	    actually only a hard limit

2015-02-14 23:03:51  michael

	* [r5569] /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - conf_parser.y: forgot to remove the unused T_MAX_CLIENTS token

2015-02-14 22:22:23  michael

	* [r5568] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - m_server.c:server_estab(): removed pointless detach_conf(client_p, CONF_OPER)

2015-02-14 21:15:28  michael

	* [r5565] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:write_pidfile(): cosmetical fixes to fopen/fputs error messages to be consistent with all other error messages

2015-02-14 21:07:58  michael

	* [r5564] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c: update documentation

2015-02-14 21:02:54  michael

	* [r5561] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pass.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Don't make use of CAP_TS6 as we no longer need it, but still send it to other servers via CAPAB for backward compatibility

2015-02-14 20:40:41  michael

	* [r5560] /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h:
	  - Regenerate parser/lexer files

2015-02-14 20:39:06  michael

	* [r5559] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svstag.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Finish basic SVSTAG implementatio
	  - Added oper::whois configuration option which allows to override the default
	    RPL_WHOISOPERATOR numeric string shown in /whois.

2015-02-12 16:51:14  michael

	* [r5549] /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c:
	  - m_svsmode.c: revert to -r5395 because me is stupid

2015-02-12 15:25:58  michael

	* [r5547] /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsnick.c:
	  - m_mode.c, m_svsmode.c, m_svsnick.c: const correctness

2015-02-12 15:13:48  michael

	* [r5546] /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/hash.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c, 
	  /ircd-hybrid/branches/8.2.x/src/packet.c:
	  - Fixed style in several places

2015-02-12 14:40:13  michael

	* [r5543] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_trace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c:
	  - Renamed idle_time_get() to client_get_idle_time()

2015-02-12 14:28:29  michael

	* [r5541] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_stats.c: minor cleanups to comments; removed invalid ones

2015-02-12 14:27:15  michael

	* [r5539] /ircd-hybrid/branches/8.2.x/modules/m_topic.c:
	  - m_topic.c: white space changes

2015-02-11 21:30:41  michael

	* [r5537] /ircd-hybrid/branches/8.2.x/modules/m_topic.c:
	  - m_topic.c:ms_topic(): if we ever have servers changing topics via TOPIC,
	    make sure we don't leak hidden server names

2015-02-11 21:25:24  michael

	* [r5535] /ircd-hybrid/branches/8.2.x/modules/m_tburst.c:
	  - m_tburst.c:ms_tburst(): TOPIC needs to be n!u@h prefixed if comming from a services client

2015-02-11 19:53:12  michael

	* [r5532] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svstag.c:
	  - Added basic SVSTAG implementation for later use

2015-02-11 19:14:46  michael

	* [r5530] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_stats.c: explicitely use 'unsigned int' instead of just 'unsigned' when casting
	    variables to be used with the %u conversion specifiers

2015-02-11 19:11:51  michael

	* [r5529] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-02-11 18:41:15  michael

	* [r5527] /ircd-hybrid/branches/8.2.x/modules/m_whois.c:
	  - m_whois.c: operators may now see certificate fingerprints, user modes and hidden channels as well.
	    This used to be admin only.

2015-02-10 20:30:22  michael

	* [r5525] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-02-10 19:57:08  michael

	* [r5521] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2015-02-10 19:45:11  michael

	* [r5520] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-02-10 00:19:49  michael

	* [r5519] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Bump version to 8.2.3

2015-02-09 21:31:13  michael

	* [r5518] /ircd-hybrid/branches/8.2.x/modules/m_whois.c:
	  - m_whois.c:whois_person(): constification

2015-02-09 21:20:33  michael

	* [r5515] /ircd-hybrid/branches/8.2.x/modules/m_map.c:
	  - m_map.c:dump_map(): removed 'static' keyword from buf

2015-02-09 20:36:29  michael

	* [r5513] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:get_oper_name(): use IRCD_BUSIZE for buffer size and be done with it

2015-02-09 20:32:39  michael

	* [r5512] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:read_conf_files(): ad channel mode 'C' to CHANMODES isupport

2015-02-09 20:26:36  michael

	* [r5509] /ircd-hybrid/branches/8.2.x/include/server.h:
	  - server.h: removed redundant struct MaskItem declaration

2015-02-09 20:20:05  michael

	* [r5508] /ircd-hybrid/branches/8.2.x/include/ircd.h:
	  - ircd.h: 'int unsigned' -> 'unsigned int'

2015-02-09 20:11:18  michael

	* [r5505] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:set_default_conf(): add all possible oper-only user modes to ConfigGeneral.oper_only_umodes

2015-02-08 20:23:47  michael

	* [r5503] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2015-02-08 20:16:30  michael

	* [r5502] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-02-08 19:41:21  michael

	* [r5501] /ircd-hybrid/branches/8.2.x/modules/m_gline.c:
	  - m_gline.c: style corrections

2015-02-08 19:19:48  michael

	* [r5498] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - Allow to disable the NOTICE/PRIVMSG anti-flood mechanism by setting 'default_floodcount' to 0

2015-02-08 19:07:48  michael

	* [r5496] /ircd-hybrid/branches/8.2.x/src/auth.c:
	  - auth.c:sendheader(): fixed compile warnings with -Wformat-security

2015-02-08 18:17:08  michael

	* [r5495] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-02-08 18:09:33  michael

	* [r5493] /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/include/client.h:
	  - Update documentation in some places

2015-02-08 16:00:56  michael

	* [r5492] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-02-08 15:54:41  michael

	* [r5491] /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h:
	  - Re-generate parser/lexer files

2015-02-08 15:50:36  michael

	* [r5488] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/ircd.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_set.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Fixed bug where "/rehash" would always reset the "MAX", "JFLOODTIME", and "JFLOODCOUNT" values that
	    have been changed from within IRC via the "/set" command
	  - Renamed the following ircd.conf configuration directives to be more descriptive:
	  
	    max_clients -> default_max_clients
	    join_flood_count -> default_join_flood_count
	    join_flood_time -> default_join_flood_time
	  
	  - Updated related ircd.conf documentation accordingly

2015-02-08 14:53:03  michael

	* [r5487] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:initialize_global_set_options(): tweaked joinfloodcount and
	    joinfloodtime defaults; Removed XXX comment.

2015-02-08 14:49:38  michael

	* [r5484] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - reference.conf: tweaked join_flood_count and join_flood_time

2015-02-08 13:33:36  michael

	* [r5480] /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.c: fixed inconsistent use of "You are" and "You're"

2015-02-08 12:55:27  michael

	* [r5478] /ircd-hybrid/branches/8.2.x/help/join:
	  - Update help/join

2015-02-08 12:01:21  michael

	* [r5476] /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.h, numeric.c: moved ERR_SSLONLYCHAN numeric to 489 to match with insp/unreal

2015-02-07 20:44:49  michael

	* [r5474] /ircd-hybrid/branches/8.2.x/include/server.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_capab.c:
	  - Allow servers to send as many CAPAB messages as they want, regardless of TS6; Removed CAP_CAP

2015-02-06 18:41:45  michael

	* [r5472] /ircd-hybrid/branches/8.2.x/help/umode:
	  - Update help/umode

2015-02-05 21:26:23  michael

	* [r5471] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c: fixed compile warning. Apparently some gcc have issues with
	    compound literals in conjunction with -Wmissing-field-initializers

2015-02-05 21:20:43  michael

	* [r5468] /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.c: added channel mode C to RPL_MYINFO

2015-02-04 20:00:21  michael

	* [r5467] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2015-02-04 19:37:34  michael

	* [r5466] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c:can_send(): better not to modify the message pointer

2015-02-04 19:18:26  michael

	* [r5463] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/doc/modes.txt, 
	  /ircd-hybrid/branches/8.2.x/help/cmode, 
	  /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_message.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - Added channel mode +C which prevents users from sending CTCPS to a channel

2015-02-04 00:11:10  michael

	* [r5461] /ircd-hybrid/branches/8.2.x/include/ircd.h:
	  - ircd.h: fixed compile error

2015-02-03 23:24:23  michael

	* [r5459] /ircd-hybrid/branches/8.2.x/src/hash.c, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c:
	  - Minor cleanups here and there

2015-02-03 20:52:57  michael

	* [r5458] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c:build_target_list(): fixed >12 years old bug where "NOTICE a,b,c,@#somechan :bugger"
	    would completely abort sending/processing the message to the other targets if not op/voice
	    on #somechan

2015-02-03 19:12:36  michael

	* [r5455] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c: further cleanups; removed redundant code, etc

2015-02-02 19:58:44  michael

	* [r5453] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c:msg_client(): don't send a 'message throttled' notice to source_p if
	    just watching for floods without actually blocking messages

2015-02-02 19:30:39  michael

	* [r5452] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c:
	  - m_message.c: sanitize msg_client(); fixed some logic errors in the flooding code

2015-01-31 20:32:11  michael

	* [r5449] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:main(): removed pointless chdir() calls as spotted by Adam

2015-01-28 14:36:54  michael

	* [r5424] /ircd-hybrid/branches/8.2.x/src/memory.c:
	  - memory.c:MyFree(): removed extraneous pointer test

2015-01-25 18:57:24  michael

	* [r5423] /ircd-hybrid/branches/8.2.x/src/packet.c:
	  - packet.c: made extract_one_line() unsigned

2015-01-25 18:50:26  michael

	* [r5420] /ircd-hybrid/branches/8.2.x/src/packet.c:
	  - packet.c:extract_one_line(): constification; renamed variable

2015-01-25 18:46:57  michael

	* [r5419] /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.h, numeric.c: moved ERR_OPERONLYCHAN numeric to 520 to match with insp/unreal

2015-01-25 18:43:08  michael

	* [r5416] /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h:
	  - Re-create autogenerated parser/lexer files

2015-01-25 18:40:52  michael

	* [r5415] /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - conf_lexer.l, conf_parser.y: removed entropy gathering daemon leftovers

2015-01-25 18:36:25  michael

	* [r5412] /ircd-hybrid/branches/8.2.x/src/packet.c:
	  - packet.c: from p4: change extract_one_line to not over agressively strip whitespace from buffers

2015-01-24 20:12:28  michael

	* [r5410] /ircd-hybrid/branches/8.2.x/include/conf_class.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_class.c:
	  - conf_class.c: removed duplicated code

2015-01-20 19:16:32  michael

	* [r5403] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-01-20 17:36:49  michael

	* [r5402] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-01-20 16:12:22  michael

	* [r5401] /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c:
	  - m_mode.c, m_whois.c: added missing HasUMode test

2015-01-20 15:49:22  michael

	* [r5399] /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h:
	  - bison 3.0.3

2015-01-20 15:07:02  michael

	* [r5396] /ircd-hybrid/branches/8.2.x/include/user.h, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Fixed compile warnings

2015-01-20 15:03:09  michael

	* [r5394] /ircd-hybrid/branches/8.2.x/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/aclocal.m4, 
	  /ircd-hybrid/branches/8.2.x/compile, 
	  /ircd-hybrid/branches/8.2.x/config.guess, 
	  /ircd-hybrid/branches/8.2.x/config.sub, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/depcomp, 
	  /ircd-hybrid/branches/8.2.x/doc/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/help/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/install-sh, 
	  /ircd-hybrid/branches/8.2.x/libltdl/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/libltdl/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/libltdl/README, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__alloc.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__argz_.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__dirent.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__glibc.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__private.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__strl.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt_dlloader.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt_error.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt_system.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/slist.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/dld_link.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/dlopen.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/dyld.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/load_add_on.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/loadlibrary.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/preopen.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/shl_load.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt__alloc.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt__argz.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt__dirent.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt__strl.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt_dlloader.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt_error.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/ltdl.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/ltdl.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/slist.c, 
	  /ircd-hybrid/branches/8.2.x/ltmain.sh, 
	  /ircd-hybrid/branches/8.2.x/m4/libtool.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltargz.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltdl.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltoptions.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltsugar.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltversion.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/lt~obsolete.m4, 
	  /ircd-hybrid/branches/8.2.x/missing, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/core/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/extra/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/tools/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/ylwrap:
	  - libtool 2.4.5, automake 1.15

2015-01-20 14:42:21  michael

	* [r5393] /ircd-hybrid/branches/8.2.x/include/user.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Minor cleanups and optimizations to usermode handling

2015-01-18 13:42:23  michael

	* [r5386] /ircd-hybrid/branches/8.2.x/modules/m_gline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c:
	  - m_gline.c, m_kline.c, motd.c: need to check against client->sockhost as well

2015-01-11 13:41:14  michael

	* [r5346] /ircd-hybrid/branches/8.2.x/INSTALL, 
	  /ircd-hybrid/branches/8.2.x/doc/challenge.txt, 
	  /ircd-hybrid/branches/8.2.x/doc/kline.txt, 
	  /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/doc/serverhide.txt, 
	  /ircd-hybrid/branches/8.2.x/include/auth.h, 
	  /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf_class.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf_db.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf_pseudo.h, 
	  /ircd-hybrid/branches/8.2.x/include/dbuf.h, 
	  /ircd-hybrid/branches/8.2.x/include/defaults.h, 
	  /ircd-hybrid/branches/8.2.x/include/event.h, 
	  /ircd-hybrid/branches/8.2.x/include/fdlist.h, 
	  /ircd-hybrid/branches/8.2.x/include/gline.h, 
	  /ircd-hybrid/branches/8.2.x/include/hash.h, 
	  /ircd-hybrid/branches/8.2.x/include/hostmask.h, 
	  /ircd-hybrid/branches/8.2.x/include/ipcache.h, 
	  /ircd-hybrid/branches/8.2.x/include/irc_string.h, 
	  /ircd-hybrid/branches/8.2.x/include/ircd.h, 
	  /ircd-hybrid/branches/8.2.x/include/ircd_defs.h, 
	  /ircd-hybrid/branches/8.2.x/include/ircd_getopt.h, 
	  /ircd-hybrid/branches/8.2.x/include/ircd_signal.h, 
	  /ircd-hybrid/branches/8.2.x/include/list.h, 
	  /ircd-hybrid/branches/8.2.x/include/listener.h, 
	  /ircd-hybrid/branches/8.2.x/include/log.h, 
	  /ircd-hybrid/branches/8.2.x/include/memory.h, 
	  /ircd-hybrid/branches/8.2.x/include/mempool.h, 
	  /ircd-hybrid/branches/8.2.x/include/misc.h, 
	  /ircd-hybrid/branches/8.2.x/include/modules.h, 
	  /ircd-hybrid/branches/8.2.x/include/motd.h, 
	  /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/include/packet.h, 
	  /ircd-hybrid/branches/8.2.x/include/parse.h, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h, 
	  /ircd-hybrid/branches/8.2.x/include/res.h, 
	  /ircd-hybrid/branches/8.2.x/include/restart.h, 
	  /ircd-hybrid/branches/8.2.x/include/resv.h, 
	  /ircd-hybrid/branches/8.2.x/include/rsa.h, 
	  /ircd-hybrid/branches/8.2.x/include/s_bsd.h, 
	  /ircd-hybrid/branches/8.2.x/include/send.h, 
	  /ircd-hybrid/branches/8.2.x/include/server.h, 
	  /ircd-hybrid/branches/8.2.x/include/user.h, 
	  /ircd-hybrid/branches/8.2.x/include/userhost.h, 
	  /ircd-hybrid/branches/8.2.x/include/watch.h, 
	  /ircd-hybrid/branches/8.2.x/include/whowas.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_bmask.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_die.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_error.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kill.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_message.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_part.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_quit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_tmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/extra/m_opme.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_accept.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_admin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_away.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_cap.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_capab.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_certfp.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_challenge.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_close.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_connect.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_encap.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_eob.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_etrace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_gline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_globops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_hash.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_help.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_ison.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_knock.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_links.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_list.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_locops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_lusers.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_map.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_module.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_motd.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_names.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_oper.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pass.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_ping.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pong.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_post.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_rehash.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_restart.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_resv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_set.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svinfo.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svskill.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsnick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svspart.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_tburst.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_time.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_topic.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_trace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_undline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unkline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unresv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unxline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_user.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_userhost.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_version.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_wallops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_watch.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_webirc.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_who.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whowas.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_xline.c, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_class.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_db.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/conf_pseudo.c, 
	  /ircd-hybrid/branches/8.2.x/src/dbuf.c, 
	  /ircd-hybrid/branches/8.2.x/src/event.c, 
	  /ircd-hybrid/branches/8.2.x/src/fdlist.c, 
	  /ircd-hybrid/branches/8.2.x/src/getopt.c, 
	  /ircd-hybrid/branches/8.2.x/src/gline.c, 
	  /ircd-hybrid/branches/8.2.x/src/hash.c, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c, 
	  /ircd-hybrid/branches/8.2.x/src/ipcache.c, 
	  /ircd-hybrid/branches/8.2.x/src/irc_string.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd_signal.c, 
	  /ircd-hybrid/branches/8.2.x/src/list.c, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c, 
	  /ircd-hybrid/branches/8.2.x/src/log.c, 
	  /ircd-hybrid/branches/8.2.x/src/match.c, 
	  /ircd-hybrid/branches/8.2.x/src/memory.c, 
	  /ircd-hybrid/branches/8.2.x/src/mempool.c, 
	  /ircd-hybrid/branches/8.2.x/src/misc.c, 
	  /ircd-hybrid/branches/8.2.x/src/modules.c, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c, 
	  /ircd-hybrid/branches/8.2.x/src/packet.c, 
	  /ircd-hybrid/branches/8.2.x/src/parse.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c, 
	  /ircd-hybrid/branches/8.2.x/src/restart.c, 
	  /ircd-hybrid/branches/8.2.x/src/resv.c, 
	  /ircd-hybrid/branches/8.2.x/src/rsa.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_devpoll.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_epoll.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_kqueue.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_poll.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c, 
	  /ircd-hybrid/branches/8.2.x/src/version.c, 
	  /ircd-hybrid/branches/8.2.x/src/watch.c, 
	  /ircd-hybrid/branches/8.2.x/src/whowas.c, 
	  /ircd-hybrid/branches/8.2.x/tools/respond.c:
	  - Update copyright years

2015-01-11 13:30:31  michael

	* [r5345] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2015-01-04 22:27:56  michael

	* [r5303] /ircd-hybrid/branches/8.2.x/AUTHORS, 
	  /ircd-hybrid/branches/8.2.x/src/version.c:
	  - Fixed grammar error as pointed out by Adam

2015-01-04 17:58:10  michael

	* [r5300] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:register_remote_user(): show ip addresses in remote connection notices aswell

2015-01-01 21:29:27  michael

	* [r5276] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Bump version to 8.2.2

2014-12-13 22:30:17  michael

	* [r5050] /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c:
	  - Fixed compile warnings

2014-12-13 18:33:41  michael

	* [r5041] /ircd-hybrid/branches/8.2.x/modules/m_away.c:
	  - m_away.c: avoid indexing parv[] multiple times

2014-12-13 17:08:27  michael

	* [r5038] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:validate_conf(): use 'EmptyString'

2014-12-13 16:58:56  michael

	* [r5036] /ircd-hybrid/branches/8.2.x/src/match.c:
	  - match.c: style corrections to match()

2014-12-13 16:54:44  michael

	* [r5034] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c: removed unused header includes

2014-12-13 16:38:35  michael

	* [r5033] /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c:
	  - m_mode.c:set_user_mode(): no longer allow multiple arguments to be passed to the
	    umode handler

2014-12-13 16:13:02  michael

	* [r5030] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c: don't allow ban masks to be added that start with a colon

2014-12-12 16:28:10  michael

	* [r5028] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - reference.conf: fixed stats_k_oper_only documentation

2014-12-12 16:25:47  michael

	* [r5027] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - Added general::stats_m_oper_only configuration option

2014-12-12 16:18:29  michael

	* [r5024] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - Added general::stats_m_oper_only configuration option

2014-12-11 17:12:12  michael

	* [r5023] /ircd-hybrid/branches/8.2.x/modules/m_info.c:
	  - m_info.c: minor correction: use NULL instead of 0 for pointers

2014-12-11 15:55:53  michael

	* [r5020] /ircd-hybrid/branches/8.2.x/modules/m_cap.c:
	  - m_cap.c: minor optimization to send_caplist()

2014-12-11 15:52:31  michael

	* [r5019] /ircd-hybrid/branches/8.2.x/modules/m_cap.c:
	  - m_cap.c: fixed some issues which have been introduced when it was ported from ircu

2014-12-11 14:49:46  michael

	* [r5016] /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_knock.c:
	  - m_invite.c, m_knock.c: send KNOCK/INVITE notifications to halfops too

2014-12-09 18:53:37  michael

	* [r5015] /ircd-hybrid/branches/8.2.x/modules/core/m_bmask.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_die.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_tmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_cap.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_capab.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_certfp.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_connect.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_links.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_list.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_module.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_restart.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_resv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsnick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svspart.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_undline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unkline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unresv.c:
	  - Removed unused header includes:wq

2014-12-09 18:14:05  michael

	* [r5012] /ircd-hybrid/branches/8.2.x/modules/m_away.c:
	  - m_away.c:m_away(): don't let /AWAY end the client's flood grace period. Depending
	    on the configuration, some clients instantly set them away right after connecting.
	    AWAY is rate limited anyways.

2014-12-09 16:29:46  michael

	* [r5010] /ircd-hybrid/branches/8.2.x/src/motd.c:
	  - motd.c:motd_create(): fixed indentation

2014-12-09 15:37:06  michael

	* [r5009] /ircd-hybrid/branches/8.2.x/tools/mkpasswd.c:
	  - mkpasswd.c: removed extraneous parentheses

2014-12-09 15:21:32  michael

	* [r5006] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update doc/reference.conf

2014-12-09 15:19:40  michael

	* [r5005] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/extra/m_opme.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - Added 'opme' to irc-operator flags

2014-12-09 15:09:10  michael

	* [r5002] /ircd-hybrid/branches/8.2.x/modules/m_hash.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/list.c, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c:
	  - Style corrections

2014-12-09 14:53:36  michael

	* [r5001] /ircd-hybrid/branches/8.2.x/modules/m_etrace.c:
	  - m_etrace.c:do_etrace(): replaced hash_find_client() with find_person()

2014-12-09 14:46:33  michael

	* [r4998] /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c: removed useless assert()s

2014-12-09 14:35:18  michael

	* [r4997] /ircd-hybrid/branches/8.2.x/modules/m_who.c:
	  - m_who.c:m_who(): replaced hash_find_client() with find_person()

2014-12-09 14:25:51  michael

	* [r4994] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c:sendq_unblocked(): const correctness

2014-12-09 14:23:06  michael

	* [r4993] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_user.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c:
	  - Removed useless assert()s

2014-12-08 21:51:54  michael

	* [r4991] /ircd-hybrid/branches/8.2.x/include/channel_mode.h:
	  - channel_mode.h: increased MAXMODEPARAMS to 6

2014-12-08 21:04:42  michael

	* [r4988] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/packet.c:
	  - The general::true_no_oper_flood configuration option has been deprecated.
	    Operators still can have higher 'flood' limits with no_oper_flood = yes;
	    hoewever, they are no longer allowed to bypass RecvQ limits.

2014-12-08 15:49:23  michael

	* [r4987] /ircd-hybrid/branches/8.2.x/modules/m_unkline.c:
	  - m_unkline.c: merged ms_unkline() and me_unkline(); removed unused encap handler

2014-12-08 15:46:29  michael

	* [r4985] /ircd-hybrid/branches/8.2.x/modules/m_kline.c:
	  - m_kline.c: merged ms_kline() and me_kline(); removed unused encap handler

2014-12-06 19:17:33  michael

	* [r4983] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_rehash.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/packet.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Cleaned up style; reformatting; const correctness

2014-12-05 15:30:16  michael

	* [r4980] /ircd-hybrid/branches/8.2.x/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/aclocal.m4, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/doc/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/help/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/libltdl/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_arg_libgeoip.m4, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/core/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/extra/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/tools/Makefile.in:
	  - Add m4/ax_arg_libgeoip.m4 and tidy up configure.ac a bit

2014-12-05 15:14:44  michael

	* [r4978] /ircd-hybrid/branches/8.2.x/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/aclocal.m4, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/doc/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/help/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/libltdl/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_arg_enable_assert.m4, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/core/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/extra/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/tools/Makefile.in:
	  - Add m4/ax_arg_enable_assert.m4 and tidy up configure.ac a bit

2014-12-04 16:12:10  michael

	* [r4976] /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/hash.c, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c, 
	  /ircd-hybrid/branches/8.2.x/src/ipcache.c, 
	  /ircd-hybrid/branches/8.2.x/src/modules.c:
	  - Style corrections; constifications

2014-12-01 20:53:48  michael

	* [r4974] /ircd-hybrid/branches/8.2.x/modules/m_accept.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c:
	  - Fixed compile warnings due to shadowed global variables on RHEL/maybe other distros

2014-12-01 17:28:30  michael

	* [r4973] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:register_remote_user(): modernize old 2.8 notice

2014-12-01 15:59:38  michael

	* [r4970] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c: if possible compare ip addresses rather than hostnames in both
	    perform_nick_change_collides() and perform_uid_introduction_collides()

2014-12-01 15:48:48  michael

	* [r4969] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-12-01 15:36:42  michael

	* [r4968] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_etrace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_trace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - general::hide_spoof_ips is now deprecated

2014-12-01 14:59:33  michael

	* [r4964] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c, m_server.c: ip addresses are always propagated via UID regardless of ip spoofs

2014-12-01 14:08:44  michael

	* [r4963] /ircd-hybrid/branches/8.2.x/include/send.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_bmask.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kill.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_away.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_certfp.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_connect.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_eob.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_gline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_globops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_knock.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsnick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_tburst.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_topic.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_wallops.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/restart.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Get rid of NOCAPS

2014-11-30 18:50:57  michael

	* [r4960] /ircd-hybrid/branches/8.2.x/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/aclocal.m4, 
	  /ircd-hybrid/branches/8.2.x/config.h.in, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/doc/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/help/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/libltdl/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/libltdl/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/libltdl/argz.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/argz_.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__argz_.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__glibc.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/dlopen.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt__argz.c, 
	  /ircd-hybrid/branches/8.2.x/ltmain.sh, 
	  /ircd-hybrid/branches/8.2.x/m4/argz.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/libtool.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltargz.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltdl.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltoptions.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltversion.m4, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/core/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/extra/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/tools/Makefile.in:
	  - libtool 2.4.4

2014-11-30 18:22:48  michael

	* [r4958] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:parse_handle_numeric(): removed extraneous parentheses

2014-11-30 14:21:09  michael

	* [r4957] /ircd-hybrid/branches/8.2.x/modules/m_motd.c:
	  - m_motd.c:m_motd(): don't take 'hide_servers' into account for remote MOTD requests since this
	    is up to 'disable_remote_commands'

2014-11-30 14:01:28  michael

	* [r4954] /ircd-hybrid/branches/8.2.x/modules/m_accept.c:
	  - m_accept.c: whitespace changes

2014-11-30 13:57:23  michael

	* [r4953] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2014-11-30 13:35:13  michael

	* [r4952] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS file

2014-11-30 13:24:26  michael

	* [r4951] /ircd-hybrid/branches/8.2.x/doc/challenge.txt, 
	  /ircd-hybrid/branches/8.2.x/tools/README, 
	  /ircd-hybrid/branches/8.2.x/tools/README.respond, 
	  /ircd-hybrid/branches/8.2.x/tools/mkkeypair:
	  - Removed old mkkeypair script which has been used for cryptlinks

2014-11-30 13:16:01  michael

	* [r4949] /ircd-hybrid/branches/8.2.x/modules/m_accept.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_module.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/rsa.c, 
	  /ircd-hybrid/branches/8.2.x/tools/respond.c:
	  - Renamed variables; const correctness

2014-11-27 21:48:08  michael

	* [r4946] /ircd-hybrid/branches/8.2.x/help/names:
	  - Update help/names

2014-11-27 21:42:21  michael

	* [r4945] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:user_set_hostmask(): skip target_p when sending JOINs to channel members

2014-11-27 16:27:19  michael

	* [r4943] /ircd-hybrid/branches/8.2.x/help/etrace:
	  - Update help/etrace

2014-11-27 16:16:58  michael

	* [r4940] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:conf_add_class_to_conf(): improve warning if there's no proper
	    class associated with an oper{} block

2014-11-27 16:07:36  michael

	* [r4939] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:check_xline(): removed pointless test on 'conf->reason'

2014-11-27 16:05:06  michael

	* [r4936] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c, 
	  /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - Renamed variables; const correctness
	  - Removed IsConfOperator macro

2014-11-25 22:09:24  michael

	* [r4935] /ircd-hybrid/branches/8.2.x/modules/m_cap.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_globops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_locops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_wallops.c:
	  - Style corrections; constifications

2014-11-25 18:54:30  michael

	* [r4932] /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.h, numeric.c: removed now unused ERR_GHOSTEDCLIENT

2014-11-25 18:45:28  michael

	* [r4930] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c: further fixes to send_message_remote()

2014-11-25 17:56:39  michael

	* [r4929] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:parse(): spelling fixes

2014-11-25 17:44:00  michael

	* [r4927] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c: get rid of parse_cancel_clients()

2014-11-25 17:21:59  michael

	* [r4924] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c: replaced remaining DLINK_FOREACH_SAFE with just DLINK_FOREACH

2014-11-25 15:37:41  michael

	* [r4922] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c: unbreak and sanitize send_message_remote()

2014-11-25 15:30:25  michael

	* [r4920] /ircd-hybrid/branches/8.2.x/src/conf_pseudo.c:
	  - conf_pseudo:m_pseudo(): constification

2014-11-25 13:50:19  michael

	* [r4918] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2014-11-25 13:41:18  michael

	* [r4917] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-11-25 13:37:59  michael

	* [r4916] /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c, 
	  /ircd-hybrid/branches/8.2.x/src/irc_string.c:
	  - Style corrections; renamed variables

2014-11-23 21:30:19  michael

	* [r4913] /ircd-hybrid/branches/8.2.x/src/misc.c:
	  - misc.c:ssl_get_cipher(): added dash between ssl/tls version and ciphers to match other ircds

2014-11-22 22:57:06  michael

	* [r4910] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-11-22 22:55:15  michael

	* [r4908] /ircd-hybrid/branches/8.2.x/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/modules/core/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/modules/core/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/tools/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/tools/Makefile.in:
	  - Nasty hack to allow for 'automake install -jx'

2014-11-22 20:17:36  michael

	* [r4904] /ircd-hybrid/branches/8.2.x/modules/extra/m_opme.c:
	  - m_opme.c:ms_opme(): announce OPME requests to 'local' operators

2014-11-22 20:09:46  michael

	* [r4903] /ircd-hybrid/branches/8.2.x/modules/extra/m_opme.c:
	  - m_opme.c:ms_opme(): use TMODE instead of MODE

2014-11-22 19:34:43  michael

	* [r4902] /ircd-hybrid/branches/8.2.x/modules/extra/m_opme.c:
	  - svn propset

2014-11-22 19:31:53  michael

	* [r4901] /ircd-hybrid/branches/8.2.x/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/config.h.in, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/libltdl/COPYING.LIB, 
	  /ircd-hybrid/branches/8.2.x/libltdl/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/libltdl/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/libltdl/README, 
	  /ircd-hybrid/branches/8.2.x/libltdl/argz.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/argz_.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__alloc.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__dirent.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__glibc.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__private.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt__strl.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt_dlloader.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt_error.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/lt_system.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/libltdl/slist.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/dld_link.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/dlopen.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/dyld.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/load_add_on.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/loadlibrary.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/preopen.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/loaders/shl_load.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt__alloc.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt__dirent.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt__strl.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt_dlloader.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/lt_error.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/ltdl.c, 
	  /ircd-hybrid/branches/8.2.x/libltdl/ltdl.h, 
	  /ircd-hybrid/branches/8.2.x/libltdl/slist.c, 
	  /ircd-hybrid/branches/8.2.x/ltmain.sh, 
	  /ircd-hybrid/branches/8.2.x/m4/argz.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/libtool.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltdl.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltoptions.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltsugar.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ltversion.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/lt~obsolete.m4, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.in:
	  - autoreconf

2014-11-22 19:31:39  michael

	* [r4900] /ircd-hybrid/branches/8.2.x/modules/extra, 
	  /ircd-hybrid/branches/8.2.x/modules/extra/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/modules/extra/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/extra/m_opme.c:
	  - Added m_opme.c to modules/extra

2014-11-21 18:52:01  michael

	* [r4898] /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c:
	  - m_kick.c:ms_kick(): hide remote server names if KICK comes from hidden servers
	    or if serverhide::hide_servers is set to 'yes'

2014-11-19 19:45:31  michael

	* [r4896] /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.c: added 'h' (half-op) to supported channel modes in RPL_MYINFO

2014-11-19 18:15:56  michael

	* [r4893] /ircd-hybrid/branches/8.2.x/src/packet.c:
	  - Fixed compile warning

2014-11-19 18:14:06  michael

	* [r4891] /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - Set reasonable default ciphers if there aren't any specified in general::ssl_cipher_list

2014-11-19 18:10:25  michael

	* [r4889] /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_resv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_undline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unkline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unresv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unxline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_xline.c, 
	  /ircd-hybrid/branches/8.2.x/src/hash.c, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c, 
	  /ircd-hybrid/branches/8.2.x/src/packet.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c:
	  - Style corrections

2014-11-18 17:56:26  michael

	* [r4887] /ircd-hybrid/branches/8.2.x/modules/m_names.c:
	  - m_names.c:m_names(): const correctness

2014-11-18 17:50:15  michael

	* [r4885] /ircd-hybrid/branches/8.2.x/modules/m_pong.c:
	  - m_pong.c:mr_pong(): from p4: accept ping cookie replies even if the client still has a pending registration state

2014-11-18 17:22:18  michael

	* [r4883] /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kill.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_ison.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c:
	  - Style corrections; fixed comments

2014-11-16 22:28:02  michael

	* [r4881] /ircd-hybrid/branches/8.2.x/modules/m_ison.c:
	  - m_ison.c: don't attempt to remove trailing space in case no nick(s) have been found

2014-11-16 21:56:14  michael

	* [r4879] /ircd-hybrid/branches/8.2.x/modules/m_ison.c:
	  - m_ison.c: unbreak /ison; removed useless indexing on parv; removed archaic ircII hack

2014-11-16 14:38:30  michael

	* [r4877] /ircd-hybrid/branches/8.2.x/src/fdlist.c:
	  - fdlist.c: removed set_fdlimit() wrapper function

2014-11-16 13:28:47  michael

	* [r4875] /ircd-hybrid/branches/8.2.x/modules/m_map.c:
	  - m_map.c:dump_map(): from p4: readd ':' after Users in /map

2014-11-11 19:29:33  michael

	* [r4873] /ircd-hybrid/branches/8.2.x/include/conf_class.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_class.c, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c:
	  - Const-correctness

2014-11-08 17:54:24  michael

	* [r4871] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:init_isupport(): removed +e/+I values from EXCEPTS/INVEX tokens

2014-11-07 21:28:08  michael

	* [r4869] /ircd-hybrid/branches/8.2.x/src/hash.c:
	  - hash.c: constifications

2014-11-07 21:14:30  michael

	* [r4867] /ircd-hybrid/branches/8.2.x/src/hash.c:
	  - hash.c:free_list_task(): removed pointless MyConnect() test

2014-11-07 21:04:13  michael

	* [r4866] /ircd-hybrid/branches/8.2.x/src/auth.c:
	  - auth.c:start_auth_query(): removed archaic comment

2014-11-07 20:55:28  michael

	* [r4863] /ircd-hybrid/branches/8.2.x/src/auth.c:
	  - auth.c:auth_connect_callback(): use report_error() for reporting failed
	    getsockname() or getpeername() calls

2014-11-07 20:50:33  michael

	* [r4861] /ircd-hybrid/branches/8.2.x/src/auth.c:
	  - auth.c: constifications

2014-11-07 18:19:50  michael

	* [r4860] /ircd-hybrid/branches/8.2.x/src/auth.c:
	  - auth.c:auth_connect_callback(): decreased size of 'authbuf'

2014-11-07 18:18:03  michael

	* [r4857] /ircd-hybrid/branches/8.2.x/src/auth.c:
	  - auth.c: constifications

2014-11-07 17:57:52  michael

	* [r4855] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:report_and_set_user_flags(): fixed typo in comment

2014-11-06 18:39:08  michael

	* [r4853] /ircd-hybrid/branches/8.2.x/src/auth.c:
	  - auth.c: constification

2014-11-05 19:17:57  michael

	* [r4852] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  - Update .travis.yml

2014-11-05 18:06:14  michael

	* [r4849] /ircd-hybrid/branches/8.2.x/include/hostmask.h, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - Removed init_host_hash()

2014-11-05 18:00:11  michael

	* [r4847] /ircd-hybrid/branches/8.2.x/src/conf_class.c:
	  - conf_class.c: fixed coding convention issues

2014-11-04 18:52:49  michael

	* [r4845] /ircd-hybrid/branches/8.2.x/modules/m_restart.c:
	  - m_die.c:mo_die(), m_restart.c:mo_restart(): minor cleanups

2014-11-04 18:49:10  michael

	* [r4843] /ircd-hybrid/branches/8.2.x/modules/core/m_die.c:
	  - m_die.c:mo_die(), m_restart.c:mo_restart(): minor cleanups

2014-11-04 18:36:25  michael

	* [r4841] /ircd-hybrid/branches/8.2.x/modules/m_rehash.c:
	  - m_rehash.c:mo_rehash(): minor cleanup

2014-11-02 23:35:08  michael

	* [r4839] /ircd-hybrid/branches/8.2.x/src/listener.c:
	  - listener.c:listener_accept_connection(): no need to send the NUL byte

2014-11-02 19:52:26  michael

	* [r4837] /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - Renamed clear_ban_cache() to clear_ban_cache_channel() to separate it
	    better from the clear_ban_cache_client() function

2014-11-02 12:53:56  michael

	* [r4835] /ircd-hybrid/branches/8.2.x/modules/m_svskill.c:
	  - m_svskill.c:ms_svskill(): use KILLLEN instead of KICKLEN

2014-11-02 12:45:16  michael

	* [r4834] /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_class.c, 
	  /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - Constification

2014-11-02 12:19:13  michael

	* [r4831] /ircd-hybrid/branches/8.2.x/modules/m_oper.c:
	  - m_oper.c:m_oper(): constification

2014-11-02 12:14:54  michael

	* [r4830] /ircd-hybrid/branches/8.2.x/modules/m_oper.c:
	  - m_oper.c:m_oper(): renamed variable

2014-11-02 11:59:31  michael

	* [r4827] /ircd-hybrid/branches/8.2.x/modules/m_userhost.c:
	  - m_userhost.c:m_userhost(): replaced sprintf() with snprintf()

2014-11-02 11:56:38  michael

	* [r4825] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:add_id(), del_id(): replaced sprintf() with snprintf()

2014-11-01 19:22:45  michael

	* [r4824] /ircd-hybrid/branches/8.2.x/modules/m_who.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c, m_who.c: style corrections

2014-11-01 18:49:55  michael

	* [r4821] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/src/resv.c:
	  - Renamed exempt::coid to exempt::country_id

2014-11-01 17:50:43  michael

	* [r4820] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/whowas.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whowas.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c, 
	  /ircd-hybrid/branches/8.2.x/src/whowas.c:
	  - Renamed Client::svid to Client::account

2014-11-01 17:05:01  michael

	* [r4817] /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_bmask.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_tmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_tburst.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/hash.c:
	  - Renamed variables

2014-11-01 16:29:49  michael

	* [r4816] /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_accept.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_close.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_eob.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_etrace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_gline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_links.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_map.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_module.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_topic.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_trace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unxline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_watch.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_who.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whowas.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_xline.c, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_pseudo.c, 
	  /ircd-hybrid/branches/8.2.x/src/gline.c, 
	  /ircd-hybrid/branches/8.2.x/src/hash.c, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/list.c, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c, 
	  /ircd-hybrid/branches/8.2.x/src/modules.c, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c, 
	  /ircd-hybrid/branches/8.2.x/src/packet.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c, 
	  /ircd-hybrid/branches/8.2.x/src/restart.c, 
	  /ircd-hybrid/branches/8.2.x/src/resv.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c, 
	  /ircd-hybrid/branches/8.2.x/src/watch.c:
	  - Renamed variables

2014-11-01 13:11:53  michael

	* [r4813] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c:
	  - Channel half-ops can now use /INVITE as well

2014-11-01 12:57:38  michael

	* [r4812] /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c, channel.h: added clear_invites() and make use of it
	  - ms_sjoin.c:ms_sjoin(): clear invites if the introduced channel has lower TS

2014-11-01 12:44:10  michael

	* [r4809] /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c:
	  - m_sjoin.c:ms_sjoin(): moved remove_ban_lis() calls

2014-11-01 12:36:37  michael

	* [r4807] /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c:
	  - m_sjoin.c:ms_sjoin(): from p4: update channel names to match the case of the remote servers channel name on sjoin

2014-10-28 16:28:08  michael

	* [r4805] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c:sendto_anywhere(): replaced MyClient() test with MyConnect()

2014-10-28 16:19:30  michael

	* [r4802] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c: added some assert(); removed useless test in send_message_remote()

2014-10-28 15:00:38  michael

	* [r4801] /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_class.c, 
	  /ircd-hybrid/branches/8.2.x/src/ipcache.c, 
	  /ircd-hybrid/branches/8.2.x/src/watch.c, 
	  /ircd-hybrid/branches/8.2.x/src/whowas.c:
	  - Renamed variables

2014-10-28 14:29:16  michael

	* [r4798] /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/include/send.h, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - Removed ChModeChange::mems

2014-10-28 14:15:20  michael

	* [r4797] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c:sendto_match_servs(): style corrections

2014-10-28 14:09:31  michael

	* [r4794] /ircd-hybrid/branches/8.2.x/include/send.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_bmask.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_knock.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_tburst.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_topic.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c:
	  - Removed pointless test for UMODE_DEAF in both sendto_channel_local() and
	    sendto_channel_local_butone()

2014-10-28 13:47:20  michael

	* [r4793] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_cap.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Added support for the "extended-join" client capability

2014-10-28 13:02:27  michael

	* [r4790] /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c:
	  - channel_mode.c, send.c: style corrections

2014-10-25 22:38:39  michael

	* [r4788] /ircd-hybrid/branches/8.2.x/doc/technical/ts6.txt:
	  - ts6.txt: update to v8

2014-10-25 18:56:27  michael

	* [r4787] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - reference.conf: removed missleading comment. Services may always override +g.

2014-10-25 18:12:54  michael

	* [r4784] /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/include/list.h, 
	  /ircd-hybrid/branches/8.2.x/include/watch.h, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/list.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c, 
	  /ircd-hybrid/branches/8.2.x/src/watch.c:
	  - Constification

2014-10-24 22:20:22  michael

	* [r4782] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c:msg_has_ctrls(): update documentation

2014-10-21 18:29:52  michael

	* [r4779] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c, client.h: changed Connection::serial to an uint64_t

2014-10-21 18:11:06  michael

	* [r4777] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - Removed hybrid 6 leftovers

2014-10-21 10:35:05  michael

	* [r4773] /ircd-hybrid/branches/8.2.x/README:
	  - Update README

2014-10-20 20:04:30  michael

	* [r4772] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Revved patchlevel to hybrid-8.2.1

2014-10-20 18:51:30  michael

	* [r4771] /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c:
	  - m_squit.c: style corrections

2014-10-20 18:41:18  michael

	* [r4768] /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c:
	  - m_squit.c:ms_squit(): don't drop SQUITs with empty reason

2014-10-19 20:01:04  michael

	* [r4766] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/include/whowas.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whowas.c, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c, 
	  /ircd-hybrid/branches/8.2.x/src/whowas.c:
	  - /WHOWAS now shows the name of the services account a user was logged in
	  - Prepare whois_person() for target_p->svid[0] being '*' for user that aren't logged into a services account
	  - Update NEWS

2014-10-19 19:22:22  michael

	* [r4765] /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.c: correction to RPL_ENDOFMODLIST

2014-10-19 17:02:47  michael

	* [r4762] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:ssl_init(): removed newline character from ilog()

2014-10-19 13:09:29  michael

	* [r4761] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:parse(): renamed variable

2014-10-19 12:54:27  michael

	* [r4758] /ircd-hybrid/branches/8.2.x/modules/m_admin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_help.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_links.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_lusers.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_map.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_motd.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_version.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_who.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whowas.c, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - Improved RPL_LOAD2HI numeric

2014-10-18 21:11:21  michael

	* [r4757] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c:channel_find_last0(): style correction

2014-10-18 20:57:23  michael

	* [r4754] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_server.c, m_stats.c: constification

2014-10-16 14:30:33  michael

	* [r4753] /ircd-hybrid/branches/8.2.x/modules/m_list.c:
	  - m_list.c:do_list(): removed unused parameters

2014-10-16 14:18:44  michael

	* [r4750] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:ssl_init(): added two 'return' even though they are not reached

2014-10-16 14:10:39  michael

	* [r4749] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:write_pidfile(): use strerror() if fopen() fails

2014-10-16 13:53:00  michael

	* [r4746] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:parse(): update documentation

2014-10-16 13:46:36  michael

	* [r4745] /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - Enable ECDH for OpenSSL 0.9.8o and above

2014-10-12 18:54:09  michael

	* [r4743] /ircd-hybrid/branches/8.2.x/modules/m_module.c:
	  - m_module.c:mo_module(): improve readability; avoid indexing parv[] several times

2014-10-12 18:45:36  michael

	* [r4740] /ircd-hybrid/branches/8.2.x/modules/m_certfp.c:
	  - m_certfp.c:ms_certfp(): use source_p->certfp instead of parv[1]

2014-10-12 16:03:40  michael

	* [r4739] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update news [ci skip]

2014-10-12 14:06:42  michael

	* [r4738] /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c:
	  - s_bsd.c:ssl_handshake(): use CONNECTTIMEOUT instead of hardcoded value
	  - server.c:ssl_server_handshake(): use CONNECTTIMEOUT instead of hardcoded value

2014-10-12 14:01:31  michael

	* [r4735] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:write_pidfile(): removed extraneous parentheses

2014-10-12 13:58:33  michael

	* [r4734] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c: style corrections

2014-10-12 13:41:07  michael

	* [r4731] /ircd-hybrid/branches/8.2.x/src/server.c:
	  - server.c:ssl_server_handshake(): correctly timeout outgoing connects

2014-10-11 21:16:25  michael

	* [r4729] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:ssl_init(): disabled session tickets aswell as session cache

2014-10-09 18:04:11  michael

	* [r4727] /ircd-hybrid/branches/8.2.x/src/watch.c:
	  - watch.c:watch_add_to_hash_table(): fixed typo in comment

2014-10-07 20:47:00  michael

	* [r4726] /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c:check_conf_klines(): removed useless !IsClient() test

2014-10-07 20:44:19  michael

	* [r4723] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c: style corrections

2014-10-07 19:06:58  michael

	* [r4722] /ircd-hybrid/branches/8.2.x/modules/m_lusers.c:
	  - m_lusers.c:m_lusers(): removed redundant test on 'parc'

2014-10-07 18:58:15  michael

	* [r4719] /ircd-hybrid/branches/8.2.x/modules/m_whowas.c:
	  - m_whowas.c:m_whowas(), ms_whowas(): removed redundant test on 'parc'

2014-10-07 13:51:09  michael

	* [r4718] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  - .travis.yml: try this

2014-10-07 13:38:42  michael

	* [r4717] /ircd-hybrid/branches/8.2.x/modules/m_pong.c:
	  - m_pong.c:ms_pong(): hash_find_client() covers both named servers and clients thus
	    replaced hash_find_server() with hash_find_id() for ID-based server/client lookups

2014-10-07 13:02:17  michael

	* [r4714] /ircd-hybrid/branches/8.2.x/modules/m_ping.c:
	  - m_ping.c:ms_ping(): added sanity test for wrong directed PING messages as suggested by Adam.
	    Needs more discussion whether that test is still needed with TS6

2014-10-07 12:56:18  michael

	* [r4713] /ircd-hybrid/branches/8.2.x/modules/m_ping.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pong.c:
	  - m_ping.c, m_pong.c: added proper TS6 support

2014-10-07 11:53:11  michael

	* [r4710] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - Applied EOB fix from p4:
	    Send EOB per-server during bursts
	  
	    Will fix incorrectly marking servers are done bursting if they are not when
	    a server introduces a server currently bursting to you.
	  
	    At a later time we will adjust the behavior of the EOB handler to no
	    longer recursively apply EOBs to all servers behind the source.

2014-10-06 18:52:06  michael

	* [r4708] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:valid_nickname(): minor cleanup

2014-10-05 18:42:47  michael

	* [r4706] /ircd-hybrid/branches/8.2.x/include/user.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Don't assemble umode buffer twice in send_umode_out()

2014-10-05 18:25:18  michael

	* [r4705] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:send_umode(): even if source_p == client_p, don't pass both client_p and
	    source_p as arguments

2014-10-05 18:18:54  michael

	* [r4702] /ircd-hybrid/branches/8.2.x/modules/core/m_kill.c:
	  - m_kill.c:ms_kill(): replaced HasUMode(source_p, UMODE_OPER) with just IsClient(source_p)

2014-10-03 19:05:13  michael

	* [r4701] /ircd-hybrid/branches/8.2.x/modules/m_globops.c:
	  - m_globops.c:ms_globops(): avoid indexing parv three times

2014-10-03 17:28:13  michael

	* [r4698] /ircd-hybrid/branches/8.2.x/src/auth.c:
	  - auth.c:start_auth_query(): removed extraneous ilog(). report_error() already does the logging

2014-10-03 17:23:34  michael

	* [r4697] /ircd-hybrid/branches/8.2.x/src/auth.c:
	  - auth.c:timeout_auth_queries_event(): removed logging

2014-10-03 16:23:59  michael

	* [r4694] /ircd-hybrid/branches/8.2.x/modules/m_whois.c:
	  - m_whois.c:whois_person(): removed useless test on target_p->sockhost[0] which
	    can't be NUL now that TS6 is mandatory

2014-10-03 16:21:25  michael

	* [r4693] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:find_user_host(): minor cleanup

2014-10-03 16:01:55  michael

	* [r4691] /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_links.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_lusers.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_motd.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_time.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_version.c:
	  - Style corrections

2014-10-03 15:04:52  michael

	* [r4688] /ircd-hybrid/branches/8.2.x/modules/m_connect.c:
	  - m_connect.c: whitespace changes

2014-10-03 13:38:06  michael

	* [r4686] /ircd-hybrid/branches/8.2.x/modules/m_connect.c:
	  - m_connect.c: clarify server notice. Don't use hardcoded "ircd.conf".

2014-10-03 13:29:20  michael

	* [r4685] /ircd-hybrid/branches/8.2.x/modules/m_connect.c:
	  - m_connect.c:ms_connect(): properly sanity check parv[3] before
	    actually calling hunt_server()

2014-10-03 13:25:40  michael

	* [r4682] /ircd-hybrid/branches/8.2.x/modules/m_connect.c:
	  - m_connect.c: style corrections

2014-10-03 13:18:09  michael

	* [r4681] /ircd-hybrid/branches/8.2.x/modules/m_connect.c:
	  - m_connect.c: don't let wildcard /connects bypass hash_find_server()

2014-10-03 13:07:56  michael

	* [r4679] /ircd-hybrid/branches/8.2.x/modules/m_connect.c:
	  - m_connect.c: use target_p->name instead of parv[1] for connection notices

2014-10-03 13:03:06  michael

	* [r4676] /ircd-hybrid/branches/8.2.x/src/server.c:
	  - server.c:serv_connect(): made failed connection notice more descriptive for remote
	    /connects

2014-09-28 20:18:48  michael

	* [r4675] /ircd-hybrid/branches/8.2.x/modules/m_dline.c:
	  - m_dline.c:mo_dline(): correction to previous commit

2014-09-28 19:26:43  michael

	* [r4672] /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c:
	  - m_dline.c, m_kline.c: avoid using valid_comment()

2014-09-28 18:49:13  michael

	* [r4671] /ircd-hybrid/branches/8.2.x/modules/m_unxline.c:
	  - m_unxline.c: renamed remove_xline_match to remove_xline_exact

2014-09-28 18:26:47  michael

	* [r4668] /ircd-hybrid/branches/8.2.x/modules/core/m_error.c:
	  - m_error.c: whitespace change

2014-09-28 14:42:59  michael

	* [r4667] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_stats.c:stats_glines(): removed useless test. conf->reason cannot be NULL

2014-09-28 14:32:39  michael

	* [r4664] /ircd-hybrid/branches/8.2.x/modules/m_kline.c:
	  - m_kline.c:already_placed_kline(): removed useless test. conf->reason cannot be NULL

2014-09-28 14:04:00  michael

	* [r4663] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-09-28 13:51:37  michael

	* [r4661] /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c:accept_message(): don't allow +G to override +g

2014-09-23 17:33:43  michael

	* [r4658] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - m_server.c:mr_server(), ms_sid(): minor modification to allow for more parameters in the future

2014-09-23 17:29:39  michael

	* [r4657] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-09-23 16:53:00  michael

	* [r4655] /ircd-hybrid/branches/8.2.x/modules/m_dline.c:
	  - m_dline.c: whitespace changes

2014-09-22 17:48:15  michael

	* [r4654] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-09-22 17:43:31  michael

	* [r4652] /ircd-hybrid/branches/8.2.x/modules/m_undline.c:
	  - m_undline.c: fixed broken /dline remote.server

2014-09-21 20:47:52  michael

	* [r4649] /ircd-hybrid/branches/8.2.x/modules/m_resv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unresv.c:
	  - m_resv.c, m_unresv.c: allow servers to add/remove RESVs

2014-09-21 18:35:35  michael

	* [r4648] /ircd-hybrid/branches/8.2.x/modules/m_dline.c:
	  - m_dline.c:ms_dline(): whitespace changes

2014-09-21 14:42:54  michael

	* [r4645] /ircd-hybrid/branches/8.2.x/modules/m_unxline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_xline.c:
	  - m_xline.c, m_unxline.c: allow servers to add/remove XLINEs

2014-09-21 13:37:26  michael

	* [r4644] /ircd-hybrid/branches/8.2.x/modules/m_dline.c:
	  - m_dline.c: cleaned up ms_dline(); removed useless junk

2014-09-21 13:23:40  michael

	* [r4641] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:find_user_host(): replaced !IsServer() test with IsClient()

2014-09-21 13:18:20  michael

	* [r4640] /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_undline.c:
	  - m_dline.c, m_undline.c: allow servers to add/remove DLINEs

2014-09-21 12:58:26  michael

	* [r4637] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - m_server.c:ms_sid(): don't automatically consider servers behind u-lines are services as well

2014-09-21 12:49:44  michael

	* [r4636] /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unkline.c:
	  - m_kline.c, m_unkline.c: allow servers to add/remove KLINEs

2014-09-21 12:07:44  michael

	* [r4633] /ircd-hybrid/branches/8.2.x/modules/m_kline.c:
	  - m_kline.c:ms_kline(): fixed outdated comment

2014-09-21 11:59:32  michael

	* [r4632] /ircd-hybrid/branches/8.2.x/modules/m_resv.c:
	  - m_resv.c:parse_resv(): log permanent RESVs, too

2014-09-21 11:56:19  michael

	* [r4630] /ircd-hybrid/branches/8.2.x/modules/m_resv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_xline.c:
	  - m_resv.c, m_xline.c: some places weren't using get_oper_name()

2014-09-21 11:47:43  michael

	* [r4627] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c: let get_oper_name() deal with servers. Makes it easier to allow servers to add/remove
	    xlines, resvs, etc. without rewriting too much code later on

2014-09-21 11:35:02  michael

	* [r4626] /ircd-hybrid/branches/8.2.x/modules/m_xline.c:
	  - m_xline.c:relay_xline(): only call atoi() if really needed

2014-09-21 10:41:04  michael

	* [r4623] /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - conf_parser.y: use SSL_CTX_use_certificate_chain_file() instead of SSL_CTX_use_certificate_file()

2014-09-08 20:24:31  michael

	* [r4621] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c:send_format(): fixed bogus test

2014-09-07 15:03:28  michael

	* [r4619] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c: fixed compile warning

2014-09-07 15:00:55  michael

	* [r4617] /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_bmask.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_message.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_knock.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_tburst.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_topic.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_who.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/hash.c, 
	  /ircd-hybrid/branches/8.2.x/src/parse.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Renamed Channel::chname to Channel::name

2014-09-07 11:52:14  michael

	* [r4614] /ircd-hybrid/branches/8.2.x/modules/m_resv.c:
	  - m_resv.c:mo_resv(): removed extraneous space which caused the reason to
	    be prepended with a space on remote servers

2014-09-02 10:55:41  michael

	* [r4613] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - m_server.c:server_estab(): since we no longer put connecting/unknown servers on the local_server_list,
	    we can simplify that "I'm no hub, I'm not allowed to link" test.

2014-09-02 10:35:19  michael

	* [r4610] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - m_server.c: removed some redundant ERROR messages. exit_client() already takes care of sending ERRORs

2014-08-31 10:12:13  michael

	* [r4608] /ircd-hybrid/branches/8.2.x/include/ircd.h:
	  - ircd.h: changed Counter structures to anonymous structure

2014-08-31 10:04:58  michael

	* [r4606] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - m_server.c:server_estab(): don't set SetGotId here. There is no reason why
	    it should be done in this place

2014-08-30 20:18:47  michael

	* [r4604] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - m_server.c:server_estab(): cleaned up 'inpath', 'inpath_ip' mess

2014-08-30 20:11:19  michael

	* [r4602] /ircd-hybrid/branches/8.2.x/modules/m_names.c:
	  - m_names.c:m_names(): removed legacy code; constification

2014-08-30 19:24:01  michael

	* [r4601] /ircd-hybrid/branches/8.2.x/modules/core/m_kill.c:
	  - m_kill.c: doxygen

2014-08-30 19:06:01  michael

	* [r4598] /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c:
	  - m_squit.c: doxygen

2014-08-30 18:56:59  michael

	* [r4597] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:find_conf_name(): removed useless match(). with server name masking being removed
	    with TS6, this is no longer needed.

2014-08-30 18:52:46  michael

	* [r4594] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - m_server.c:server_estab(): removed 'host = client_p->name' assignment

2014-08-27 18:26:31  michael

	* [r4592] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:ssl_init(): add SSL_OP_CIPHER_SERVER_PREFERENCE to server options

2014-08-26 18:35:40  michael

	* [r4590] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - reference.conf: whitespace changes

2014-08-26 17:59:21  michael

	* [r4589] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/server.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_message.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_quit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_accept.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_away.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_cap.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_capab.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_challenge.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_eob.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_etrace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_gline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_knock.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_list.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pass.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pong.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsnick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_trace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_user.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_watch.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_webirc.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_class.c, 
	  /ircd-hybrid/branches/8.2.x/src/hash.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c, 
	  /ircd-hybrid/branches/8.2.x/src/packet.c, 
	  /ircd-hybrid/branches/8.2.x/src/parse.c, 
	  /ircd-hybrid/branches/8.2.x/src/resv.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c, 
	  /ircd-hybrid/branches/8.2.x/src/watch.c:
	  - Renamed 'localClient' Client structure member to just 'connection'

2014-08-26 17:51:13  michael

	* [r4587] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:register_local_user(): cosmetical fixes to server notice

2014-08-26 17:45:13  michael

	* [r4584] /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.h, numeric.c: removed unused ERR_RESTRICTED

2014-08-25 17:54:40  michael

	* [r4583] /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.c: cosmetical fixes

2014-08-25 12:31:29  michael

	* [r4580] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c:
	  - Fixed misspellings

2014-08-25 11:53:48  michael

	* [r4578] /ircd-hybrid/branches/8.2.x/config.h.in, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/src/client.c:
	  - Renamed variables/definitions to meet coding standards

2014-08-25 11:45:23  michael

	* [r4577] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/packet.c:
	  - Renamed struct LocalUser to struct Connection

2014-08-25 11:31:29  michael

	* [r4574] /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c:exit_client(): cosmetical fixes to server exiting notice

2014-08-24 19:07:19  michael

	* [r4571] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - m_server.c: fixed spelling in some places

2014-08-24 16:04:41  michael

	* [r4569] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_stats.c:report_Klines(): removed useless test

2014-08-24 12:44:43  michael

	* [r4566] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-08-24 12:24:47  michael

	* [r4564] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/include/auth.h, 
	  /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf_class.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf_db.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf_pseudo.h, 
	  /ircd-hybrid/branches/8.2.x/include/dbuf.h, 
	  /ircd-hybrid/branches/8.2.x/include/defaults.h, 
	  /ircd-hybrid/branches/8.2.x/include/event.h, 
	  /ircd-hybrid/branches/8.2.x/include/fdlist.h, 
	  /ircd-hybrid/branches/8.2.x/include/gline.h, 
	  /ircd-hybrid/branches/8.2.x/include/hash.h, 
	  /ircd-hybrid/branches/8.2.x/include/hostmask.h, 
	  /ircd-hybrid/branches/8.2.x/include/ipcache.h, 
	  /ircd-hybrid/branches/8.2.x/include/irc_string.h, 
	  /ircd-hybrid/branches/8.2.x/include/ircd.h, 
	  /ircd-hybrid/branches/8.2.x/include/ircd_defs.h, 
	  /ircd-hybrid/branches/8.2.x/include/ircd_getopt.h, 
	  /ircd-hybrid/branches/8.2.x/include/ircd_signal.h, 
	  /ircd-hybrid/branches/8.2.x/include/list.h, 
	  /ircd-hybrid/branches/8.2.x/include/listener.h, 
	  /ircd-hybrid/branches/8.2.x/include/log.h, 
	  /ircd-hybrid/branches/8.2.x/include/memory.h, 
	  /ircd-hybrid/branches/8.2.x/include/misc.h, 
	  /ircd-hybrid/branches/8.2.x/include/modules.h, 
	  /ircd-hybrid/branches/8.2.x/include/motd.h, 
	  /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/include/packet.h, 
	  /ircd-hybrid/branches/8.2.x/include/parse.h, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h, 
	  /ircd-hybrid/branches/8.2.x/include/res.h, 
	  /ircd-hybrid/branches/8.2.x/include/restart.h, 
	  /ircd-hybrid/branches/8.2.x/include/resv.h, 
	  /ircd-hybrid/branches/8.2.x/include/rsa.h, 
	  /ircd-hybrid/branches/8.2.x/include/s_bsd.h, 
	  /ircd-hybrid/branches/8.2.x/include/send.h, 
	  /ircd-hybrid/branches/8.2.x/include/server.h, 
	  /ircd-hybrid/branches/8.2.x/include/stdinc.h, 
	  /ircd-hybrid/branches/8.2.x/include/user.h, 
	  /ircd-hybrid/branches/8.2.x/include/userhost.h, 
	  /ircd-hybrid/branches/8.2.x/include/watch.h, 
	  /ircd-hybrid/branches/8.2.x/include/whowas.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_bmask.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_die.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_error.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kill.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_message.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_part.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_quit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_tmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_accept.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_admin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_away.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_cap.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_capab.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_certfp.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_challenge.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_close.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_connect.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_encap.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_eob.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_etrace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_gline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_globops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_hash.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_help.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_ison.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_knock.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_links.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_list.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_locops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_lusers.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_map.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_module.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_motd.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_names.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_oper.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pass.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_ping.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pong.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_post.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_rehash.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_restart.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_resv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_set.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svinfo.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svskill.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsnick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svspart.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_tburst.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_time.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_topic.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_trace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_undline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unkline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unresv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unxline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_user.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_userhost.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_version.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_wallops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_watch.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_webirc.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_who.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whowas.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_xline.c, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_class.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_db.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/conf_pseudo.c, 
	  /ircd-hybrid/branches/8.2.x/src/dbuf.c, 
	  /ircd-hybrid/branches/8.2.x/src/event.c, 
	  /ircd-hybrid/branches/8.2.x/src/fdlist.c, 
	  /ircd-hybrid/branches/8.2.x/src/getopt.c, 
	  /ircd-hybrid/branches/8.2.x/src/gline.c, 
	  /ircd-hybrid/branches/8.2.x/src/hash.c, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c, 
	  /ircd-hybrid/branches/8.2.x/src/ipcache.c, 
	  /ircd-hybrid/branches/8.2.x/src/irc_string.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd_signal.c, 
	  /ircd-hybrid/branches/8.2.x/src/list.c, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c, 
	  /ircd-hybrid/branches/8.2.x/src/log.c, 
	  /ircd-hybrid/branches/8.2.x/src/match.c, 
	  /ircd-hybrid/branches/8.2.x/src/memory.c, 
	  /ircd-hybrid/branches/8.2.x/src/misc.c, 
	  /ircd-hybrid/branches/8.2.x/src/modules.c, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c, 
	  /ircd-hybrid/branches/8.2.x/src/packet.c, 
	  /ircd-hybrid/branches/8.2.x/src/parse.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c, 
	  /ircd-hybrid/branches/8.2.x/src/restart.c, 
	  /ircd-hybrid/branches/8.2.x/src/resv.c, 
	  /ircd-hybrid/branches/8.2.x/src/rsa.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_devpoll.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_epoll.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_kqueue.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_poll.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c, 
	  /ircd-hybrid/branches/8.2.x/src/version.c, 
	  /ircd-hybrid/branches/8.2.x/src/watch.c, 
	  /ircd-hybrid/branches/8.2.x/src/whowas.c, 
	  /ircd-hybrid/branches/8.2.x/tools/respond.c:
	  - Update GPL 2 license headers

2014-08-24 12:14:12  michael

	* [r4562] /ircd-hybrid/branches/8.2.x/COPYING:
	  - Update gpl2 license file

2014-08-24 11:46:04  michael

	* [r4561] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Revved version to hybrid-8.2.0

2014-08-24 11:44:13  michael

	* [r4559] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update doc/reference.conf

2014-08-23 19:25:44  michael

	* [r4558] /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Replaced RPL_NEWHOSTIS with RPL_VISIBLEHOST

2014-08-23 19:21:04  michael

	* [r4555] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c: fixed new defect found by coverity

2014-08-23 01:10:17  michael

	* [r4553] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:parse(): small optimization as suggested by Adam

2014-08-22 11:13:13  michael

	* [r4551] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c: constification

2014-08-22 11:07:55  michael

	* [r4550] /ircd-hybrid/branches/8.2.x/include/parse.h:
	  - Fixed previous changes to parse.h

2014-08-22 10:48:42  michael

	* [r4547] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-08-22 10:46:38  michael

	* [r4546] /ircd-hybrid/branches/8.2.x/modules/core/m_bmask.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_die.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_error.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kill.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_message.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_part.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_quit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_tmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_accept.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_admin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_away.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_cap.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_capab.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_certfp.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_challenge.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_close.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_connect.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_encap.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_eob.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_etrace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_gline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_globops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_hash.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_help.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_ison.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_knock.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_links.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_list.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_locops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_lusers.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_map.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_module.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_motd.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_names.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_oper.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pass.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_ping.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pong.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_post.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_rehash.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_restart.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_resv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_set.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svinfo.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svskill.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsnick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svspart.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_tburst.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_time.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_topic.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_trace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_undline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unkline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unresv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unxline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_user.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_userhost.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_version.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_wallops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_watch.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_webirc.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_who.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whowas.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_xline.c:
	  - Fixed compile warnings with -Wmissing-field-initializers

2014-08-21 19:03:28  michael

	* [r4544] /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.c: fixed ERR_PASSWDMISMATCH numeric string

2014-08-21 18:27:21  michael

	* [r4541] /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.c: update ERR_SERVICESDOWN numeric string

2014-08-21 18:07:00  michael

	* [r4540] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-08-20 22:14:21  michael

	* [r4539] /ircd-hybrid/branches/8.2.x/src/conf_pseudo.c:
	  - conf_pseudo.c:m_pseudo(): added additional !IsMe() test to catch misconfigured pseudo {} blocks

2014-08-20 20:06:24  michael

	* [r4538] /ircd-hybrid/branches/8.2.x/src/conf_pseudo.c:
	  - conf_pseudo.c: cleanups some madness

2014-08-20 09:42:06  michael

	* [r4537] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - reference.conf: add some documentation about the pseudo {} block

2014-08-20 09:20:45  michael

	* [r4536] /ircd-hybrid/branches/8.2.x/src/conf_pseudo.c:
	  - conf_pseudo.c: use m_unregistered() for the UNREGISTERED_HANDLER

2014-08-20 08:47:22  michael

	* [r4535] /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - Fixes to pseudo{} blocks

2014-08-19 21:52:08  michael

	* [r4534] /ircd-hybrid/branches/8.2.x/modules/m_services.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_pseudo.c:
	  - Removed m_services.c
	  - Add missing dlinkDelete in pseudo_clear()
	  - Rebuild lexer/parser files

2014-08-19 21:05:56  michael

	* [r4533] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf_pseudo.h, 
	  /ircd-hybrid/branches/8.2.x/include/defaults.h, 
	  /ircd-hybrid/branches/8.2.x/include/parse.h, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/conf_pseudo.c, 
	  /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - Implemented pseudo {} blocks (service aliases)

2014-08-19 17:35:16  michael

	* [r4532] /ircd-hybrid/branches/8.2.x/modules/m_who.c:
	  - m_who.c:who_global(): style corrections

2014-08-19 17:22:27  michael

	* [r4530] /ircd-hybrid/branches/8.2.x/modules/m_who.c:
	  - m_who.c: made do_who_on_channel() only take 4 parameters

2014-08-19 12:39:22  michael

	* [r4527] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c: fixed bug where "NOTICE +#somechan" did allow bypassing resv{} channels,
	    or channels that are set +c (no control codes)

2014-08-19 11:57:19  michael

	* [r4525] /ircd-hybrid/branches/8.2.x/modules/m_webirc.c:
	  - m_webirc.c: replaced CGI:IRC references with WEBIRC

2014-08-19 11:43:06  michael

	* [r4522] /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c:
	  - Fixed double dlinkDelete() in conf_free()
	  - Fixed memory leak with server/oper/auth configuration items

2014-08-17 22:20:07  michael

	* [r4520] /ircd-hybrid/branches/8.2.x/src/listener.c:
	  - listener.c: reformatting

2014-08-17 22:04:34  michael

	* [r4519] /ircd-hybrid/branches/8.2.x/src/listener.c:
	  - listener.c: renamed ListenerPollList to listener_list

2014-08-17 21:09:33  michael

	* [r4515] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  - Update .travis.yml

2014-08-17 20:26:06  michael

	* [r4514] /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - conf.c:rehash(): moved the strlcpy(me.info,...) to conf_parser.y

2014-08-17 16:50:25  michael

	* [r4510] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:conf_free(): fixed possible infinite loop with /stats c as reported by Adam.
	    We now assume that all MaskItem are linked onto some list

2014-08-17 13:58:59  michael

	* [r4509] /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_who.c, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - Instead of silently truncating WHO at 500 replies, added ERR_WHOLIMEXCEED numeric
	    to inform users about the /who limit being exceeded

2014-08-17 10:25:01  michael

	* [r4507] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-08-17 10:20:35  michael

	* [r4506] /ircd-hybrid/branches/8.2.x/README:
	  - Update README

2014-08-17 10:16:37  michael

	* [r4503] /ircd-hybrid/branches/8.2.x/INSTALL:
	  - Update README

2014-08-16 21:10:08  michael

	* [r4501] /ircd-hybrid/branches/8.2.x/src/hash.c:
	  - hash.c:safe_list_channels(): removed outdated comment

2014-08-16 20:29:36  michael

	* [r4500] /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - conf_parser.y: removed useless tests on ConfigServerInfo.server_ctx

2014-08-16 20:21:10  michael

	* [r4498] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:ssl_init(): exit if we cannot setup client/server context

2014-08-16 20:13:16  michael

	* [r4495] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:set_default_conf(): really default to secp256r1

2014-08-16 20:08:31  michael

	* [r4493] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update doc/reference.conf

2014-08-16 19:12:20  michael

	* [r4492] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-08-16 18:58:52  michael

	* [r4491] /ircd-hybrid/branches/8.2.x/modules/m_list.c:
	  - m_list.c:do_list(): no need to break in the '-' case

2014-08-16 18:55:07  michael

	* [r4488] /ircd-hybrid/branches/8.2.x/help/list, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_list.c, 
	  /ircd-hybrid/branches/8.2.x/src/hash.c:
	  - Add topic mask option to /list

2014-08-16 18:18:17  michael

	* [r4487] /ircd-hybrid/branches/8.2.x/src/hash.c:
	  - hash.c:list_one_channel(): let other users see channelmodes in /list

2014-08-16 17:55:39  michael

	* [r4484] /ircd-hybrid/branches/8.2.x/modules/m_certfp.c:
	  - m_certfp.c:ms_certfp(): use xstrdup() instead of strdup()

2014-08-15 19:06:40  michael

	* [r4482] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_arg_enable_warnings.m4:
	  - ax_arg_enable_warnings.m4: fiddle around with warning options

2014-08-14 18:39:00  michael

	* [r4480] /ircd-hybrid/branches/8.2.x/include/event.h:
	  - event.h: removed typedef

2014-08-14 18:17:08  michael

	* [r4478] /ircd-hybrid/branches/8.2.x/include/fdlist.h, 
	  /ircd-hybrid/branches/8.2.x/include/motd.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/src/fdlist.c, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c:
	  - Fixed compile warnings

2014-08-14 17:52:56  michael

	* [r4477] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-08-14 11:49:32  michael

	* [r4475] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c: style corrections

2014-08-14 11:31:54  michael

	* [r4474] /ircd-hybrid/branches/8.2.x/src/memory.c:
	  - memory.c:MyRealloc(): As pointed out by Adam, realloc() can be called with
	    size being 0 which equals to free(). In that case the outofmemory handler
	    shouldn't be triggered.

2014-08-14 11:25:30  michael

	* [r4471] /ircd-hybrid/branches/8.2.x/src/s_bsd_poll.c:
	  - s_bsd_poll.c cleanups/fixes provided by Adam

2014-08-14 10:35:21  michael

	* [r4469] /ircd-hybrid/branches/8.2.x/src/getopt.c:
	  - getopt.c:parseargs(): use xstrdup() instead of malloc/strcpy combo; don't modify memory pointed
	    by the argument vector. Fixes provided by Adam.

2014-08-13 21:00:37  michael

	* [r4467] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:query_name(): get rid of useless typecasting

2014-08-13 20:56:47  michael

	* [r4466] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:proc_answer(): error out and leave the client unresolved if we get an unexpected record type

2014-08-13 19:26:13  michael

	* [r4463] /ircd-hybrid/branches/8.2.x/include/fdlist.h, 
	  /ircd-hybrid/branches/8.2.x/include/s_bsd.h, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c:
	  - Removed CNCB typedef

2014-08-13 19:08:22  michael

	* [r4462] /ircd-hybrid/branches/8.2.x/include/fdlist.h, 
	  /ircd-hybrid/branches/8.2.x/include/packet.h, 
	  /ircd-hybrid/branches/8.2.x/include/s_bsd.h, 
	  /ircd-hybrid/branches/8.2.x/include/send.h, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c, 
	  /ircd-hybrid/branches/8.2.x/src/packet.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_devpoll.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_epoll.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_kqueue.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_poll.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c:
	  - Removed stupid PF typedef in fdlist.h which prevented both gcc and clang from spitting out
	    a warning about the first argument of s_bsd:ssl_handshake() being an 'int' when it really
	    has to be a 'fde_t' pointer.
	  - Fixed first argument of s_bsd:ssl_handshake() which should be a 'fde_t' pointer instead of an 'int'.

2014-08-11 21:44:25  michael

	* [r4459] /ircd-hybrid/branches/8.2.x/include/res.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c:
	  - conf.c:conf_dns_lookup(): use gethost_byname_type()
	  - res.h, res.c: removed gethost_byname()

2014-08-11 18:28:40  michael

	* [r4458] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:proc_answer(): delete useless castings

2014-08-11 17:59:20  michael

	* [r4455] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:proc_answer(): use 'unsigned'

2014-08-11 17:53:33  michael

	* [r4454] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c: removed "request_state" enum

2014-08-11 17:51:26  michael

	* [r4451] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:proc_answer(): applied "Ignore CNAME records in dns queries" fix from p4.
	    ** Ignore CNAME records in dns queries. Allows PTRS to point to CNAMEs
	       which can point to an A/AAAA which resolves to the correct IP.

2014-08-11 17:47:08  michael

	* [r4450] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c: removed "try A if AAAA failed" logic

2014-08-09 21:19:58  michael

	* [r4447] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:start_resolver(): made /stats F more descriptive about the resolver socket

2014-08-09 21:07:53  michael

	* [r4446] /ircd-hybrid/branches/8.2.x/include/auth.h:
	  - auth.h: update documentation

2014-08-09 20:58:51  michael

	* [r4443] /ircd-hybrid/branches/8.2.x/include/res.h:
	  - res.h: add documentation about RFC1035_MAX_DOMAIN_LENGTH definition

2014-08-09 20:52:41  michael

	* [r4442] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-08-09 20:51:02  michael

	* [r4441] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:oper_up(): successful operator logins are now announced globally via GLOBOPS

2014-08-09 20:33:17  michael

	* [r4438] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_challenge.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pass.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/mempool.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Renamed various variables

2014-08-07 22:42:50  michael

	* [r4437] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update doc/reference.conf

2014-08-07 21:49:19  michael

	* [r4434] /ircd-hybrid/branches/8.2.x/modules/m_info.c:
	  - m_info.c:send_conf_options(): made /info look nicer

2014-08-07 21:42:13  michael

	* [r4433] /ircd-hybrid/branches/8.2.x/src/event.c:
	  - event.c: update show_events() to make /stats E look nicer

2014-08-07 21:03:19  michael

	* [r4430] /ircd-hybrid/branches/8.2.x/include/send.h, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c:
	  - Rewrite sendto_realops_flags_ratelimited() so it can be used in other places as well

2014-08-07 19:46:35  michael

	* [r4429] /ircd-hybrid/branches/8.2.x/include/listener.h, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c:
	  - Added listener_release() and make use of it

2014-08-07 19:15:19  michael

	* [r4426] /ircd-hybrid/branches/8.2.x/src/listener.c:
	  - listener.c: reformatting

2014-08-07 19:09:28  michael

	* [r4425] /ircd-hybrid/branches/8.2.x/src/listener.c:
	  - listener.c:make_listener(): constification

2014-08-07 18:57:44  michael

	* [r4422] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c: was missing +1 in reslist::name

2014-08-07 18:52:10  michael

	* [r4421] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:init_resolver(): removed useless memset()

2014-08-07 18:35:26  michael

	* [r4418] /ircd-hybrid/branches/8.2.x/modules/m_ison.c:
	  - m_ison.c:m_ison(): replaced memcpy() with strlcpy()

2014-08-07 16:39:27  michael

	* [r4416] /ircd-hybrid/branches/8.2.x/README:
	  - Update README

2014-08-07 16:06:08  michael

	* [r4414] /ircd-hybrid/branches/8.2.x/config.h.in, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/s_bsd.h, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_library_net.m4, 
	  /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_gline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_undline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unkline.c, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_class.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/gline.c, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c, 
	  /ircd-hybrid/branches/8.2.x/src/ipcache.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c, 
	  /ircd-hybrid/branches/8.2.x/src/resv.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c:
	  - Removed ipv6 detection. We now assume all systems that run hybrid have
	    ipv6 availability and sockaddr_storage.

2014-08-07 13:30:58  michael

	* [r4412] /ircd-hybrid/branches/8.2.x/src/s_bsd.c:
	  - s_bsd.c:comm_accept(): fixed faulty memset()

2014-08-06 23:36:38  michael

	* [r4410] /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c:
	  - Let's allow overlength host name entries in connect {} blocks

2014-08-06 23:20:45  michael

	* [r4409] /ircd-hybrid/branches/8.2.x/include/res.h, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c:
	  - Fixed resolver/auth issues with too long hostnames

2014-08-06 20:40:24  michael

	* [r4406] /ircd-hybrid/branches/8.2.x/src/listener.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c:
	  - Moved memset() from accept_connection() to comm_accept()

2014-08-06 19:02:31  michael

	* [r4405] /ircd-hybrid/branches/8.2.x/doc/modes.txt, 
	  /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/tools/README:
	  - Minor documentation updates

2014-08-06 18:09:42  michael

	* [r4402] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update doc/reference.conf

2014-08-05 19:43:39  michael

	* [r4401] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - Unset FLAGS_IPHASH on source_p in exit_client() when removing from ipcache

2014-08-04 21:35:22  michael

	* [r4398] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:main(): use event_add() for comm_checktimeouts

2014-08-03 22:23:54  michael

	* [r4397] /ircd-hybrid/branches/8.2.x/README:
	  - Update README

2014-08-03 20:34:00  michael

	* [r4394] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-08-03 20:23:58  michael

	* [r4393] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update doc/reference.conf

2014-08-03 19:48:11  michael

	* [r4390] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c:send_mode_list(): constification

2014-08-03 19:46:05  michael

	* [r4389] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c: moved 'buf' to send_members() and send_mode_list()

2014-08-03 19:33:30  michael

	* [r4386] /ircd-hybrid/branches/8.2.x/src/mempool.c:
	  - mempool.c:mp_pool_garbage_collect(): c99 style correction

2014-08-03 18:47:23  michael

	* [r4385] /ircd-hybrid/branches/8.2.x/modules/m_cap.c:
	  - m_cap.c: moved qsorting of the capab_list to module_init()

2014-08-03 18:37:40  michael

	* [r4382] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c:change_local_nick(): improved an assert()

2014-08-03 18:27:05  michael

	* [r4381] /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.c: ERR_NICKTOOFAST: use %u conversion specifier

2014-08-03 18:18:29  michael

	* [r4378] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - Fixed ERR_NICKTOOFAST numeric string to make more sense and to comply with other ircds

2014-08-03 17:22:55  michael

	* [r4377] /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.c: fixed ERR_TOOMANYAWAY numeric string

2014-08-03 16:41:55  michael

	* [r4374] /ircd-hybrid/branches/8.2.x/include/listener.h, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c:
	  - listener.h, listener.c: use HOSTIPLEN for Listener::name; update documentation

2014-08-03 16:12:20  michael

	* [r4373] /ircd-hybrid/branches/8.2.x/include/ipcache.h:
	  - ipcache.h: update documentation

2014-08-03 12:56:24  michael

	* [r4371] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Revved version to hybrid-8.2.0rc2

2014-08-03 12:52:38  michael

	* [r4369] /ircd-hybrid/branches/8.2.x/INSTALL:
	  - Update INSTALL

2014-08-03 12:33:59  michael

	* [r4368] /ircd-hybrid/branches/8.2.x/src/ipcache.c:
	  - ipcache.c: minor cleanup

2014-08-03 00:41:39  michael

	* [r4366] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_arg_openssl.m4:
	  - ax_arg_openssl.m4: cosmetical fixes for LibreSSL

2014-08-03 00:23:09  michael

	* [r4363] /ircd-hybrid/branches/8.2.x/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/aclocal.m4, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/doc/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/help/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/libltdl/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_arg_openssl.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_check_openssl.m4, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/core/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/tools/Makefile.in:
	  - Moved ax_check_openssl.m4 to ax_arg_openssl.m4

2014-08-02 22:52:06  michael

	* [r4362] /ircd-hybrid/branches/8.2.x/config.h.in, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_library_net.m4:
	  - ax_library_net.m4: removed useless member test of sockaddr_in.sin_len

2014-08-02 22:37:47  michael

	* [r4359] /ircd-hybrid/branches/8.2.x/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/acinclude.m4, 
	  /ircd-hybrid/branches/8.2.x/aclocal.m4, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/doc/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/help/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/libltdl/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_arg_enable_debugging.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_arg_enable_warnings.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_arg_ioloop_mechanism.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_library_net.m4, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/core/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/tools/Makefile.in:
	  - Got rid of acinclude.m4

2014-08-02 20:44:10  michael

	* [r4358] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-08-02 20:30:48  michael

	* [r4356] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac:
	  - configure.ac: must be excuting GCC_STACK_PROTECT_LIB aswell, otherwise we won't get
	    linked against SSP lib (if there's any)

2014-08-02 20:09:39  michael

	* [r4354] /ircd-hybrid/branches/8.2.x/acinclude.m4, 
	  /ircd-hybrid/branches/8.2.x/configure:
	  - acinclude.m4: fixed typo in comment

2014-08-02 19:54:27  michael

	* [r4353] /ircd-hybrid/branches/8.2.x/acinclude.m4, 
	  /ircd-hybrid/branches/8.2.x/configure:
	  - Cleaned up epoll detection

2014-08-02 19:20:16  michael

	* [r4350] /ircd-hybrid/branches/8.2.x/include/motd.h, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c:
	  - motd.h, motd.c: renamed Motd::hostmask to just Motd::mask just because it's kinda
	    missleading since the mask can also be a class name

2014-08-02 19:15:13  michael

	* [r4349] /ircd-hybrid/branches/8.2.x/include/motd.h, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c:
	  - motd.h, motd.c: clean up/fix comments

2014-08-02 19:07:14  michael

	* [r4346] /ircd-hybrid/branches/8.2.x/src/motd.c:
	  - motd.c:motd_cache(): fixed cast

2014-08-02 19:01:00  michael

	* [r4345] /ircd-hybrid/branches/8.2.x/include/conf.h:
	  - Re-arranged ConfigServerInfo structure

2014-08-02 18:58:21  michael

	* [r4342] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - Removed unused ConfigServerInfo structure member

2014-08-02 18:53:48  michael

	* [r4341] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/defaults.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kill.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_message.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_quit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_accept.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_admin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_away.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_challenge.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_etrace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_gline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_help.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_links.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_lusers.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_map.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_motd.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_oper.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_pong.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_rehash.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_resv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_services.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_set.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svinfo.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_trace.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_version.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_watch.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_who.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whowas.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_xline.c, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/fdlist.c, 
	  /ircd-hybrid/branches/8.2.x/src/gline.c, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c, 
	  /ircd-hybrid/branches/8.2.x/src/ipcache.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c, 
	  /ircd-hybrid/branches/8.2.x/src/log.c, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c, 
	  /ircd-hybrid/branches/8.2.x/src/packet.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Renamed structures to meet code conventions

2014-08-02 18:35:25  michael

	* [r4338] /ircd-hybrid/branches/8.2.x/include/event.h:
	  - event.h: style corrections

2014-08-02 18:34:29  michael

	* [r4337] /ircd-hybrid/branches/8.2.x/include/event.h:
	  - event.h: replaced shorts with ints

2014-08-02 17:53:31  michael

	* [r4334] /ircd-hybrid/branches/8.2.x/INSTALL, 
	  /ircd-hybrid/branches/8.2.x/acinclude.m4, 
	  /ircd-hybrid/branches/8.2.x/config.h.in, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_select.c:
	  - Removed select() support

2014-08-01 21:49:08  michael

	* [r4331] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:attach_iline(): constification

2014-08-01 20:37:01  michael

	* [r4330] /ircd-hybrid/branches/8.2.x/include/ipcache.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/src/ipcache.c:
	  - ipcache.c:ipcache_get_stats(): constification; depend on the caller to set integers to zero

2014-08-01 20:16:25  michael

	* [r4328] /ircd-hybrid/branches/8.2.x/include/ipcache.h, 
	  /ircd-hybrid/branches/8.2.x/src/ipcache.c:
	  - svn propset on ipcache.c, ipcache.h

2014-08-01 20:08:53  michael

	* [r4326] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/ipcache.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/ipcache.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - Moved all ip caching related code to ipcache.c

2014-08-01 18:59:23  michael

	* [r4323] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c: optimized count_ip_hash()

2014-08-01 18:55:23  michael

	* [r4322] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:ipcache_remove_expired_entries(): of course should be DLINK_FOREACH_SAFE

2014-08-01 18:49:16  michael

	* [r4320] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - Cleaned up ipcache

2014-07-31 23:17:17  michael

	* [r4318] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:res_readreply(): read as many packets as possible from kernel buffer
	    in a single run. This might increase performance for heavy loaded servers
	    doing lots of dns requests. As side-effect it fixes issues with edge-triggered
	    epoll (we're only doing level-triggered right now)

2014-07-31 22:46:17  michael

	* [r4315] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:res_readreply(): don't grant further retries if the packet
	    couldn't be decoded. We only give it one shot.

2014-07-31 20:53:31  michael

	* [r4314] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_away.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - Improved AWAY throttling to allow for better fine-tuning

2014-07-31 19:02:26  michael

	* [r4312] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c: reformatting; style corrections; updated comments

2014-07-29 19:25:16  michael

	* [r4310] /ircd-hybrid/branches/8.2.x/include/auth.h, 
	  /ircd-hybrid/branches/8.2.x/include/irc_string.h, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/irc_string.c:
	  - Backported auth code related cleanups from newio branch

2014-07-27 14:16:41  michael

	* [r4307] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update doc/reference.conf [ci skip]

2014-07-27 12:39:56  michael

	* [r4304] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update doc/reference.conf [ci skip]

2014-07-26 19:55:50  michael

	* [r4302] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:res_readreply(): use ssize_t for 'rc'

2014-07-20 19:23:03  michael

	* [r4300] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update doc/reference.conf

2014-07-20 15:51:28  michael

	* [r4299] /ircd-hybrid/branches/8.2.x/doc/technical/ts5.txt, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kill.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_message.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c, 
	  /ircd-hybrid/branches/8.2.x/src/parse.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c:
	  - Fixed typos all over the place

2014-07-20 13:16:58  michael

	* [r4296] /ircd-hybrid/branches/8.2.x/INSTALL, 
	  /ircd-hybrid/branches/8.2.x/README:
	  - Update NEWS and INSTALL

2014-07-20 12:38:21  michael

	* [r4295] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_check_openssl.m4:
	  - ./configure now requires OpenSSL 0.9.8o or above in order to enable TLS/SSL support

2014-07-20 12:33:10  michael

	* [r4294] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Revved version to hybrid-8.2.0rc1

2014-07-20 12:18:30  michael

	* [r4293] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-07-20 11:21:21  michael

	* [r4287] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update doc/reference.conf

2014-07-19 21:50:34  michael

	* [r4285] /ircd-hybrid/branches/8.2.x/modules/m_challenge.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_oper.c:
	  - m_oper.c, m_challenge.c: cosmetical fixes

2014-07-19 21:39:56  michael

	* [r4282] /ircd-hybrid/branches/8.2.x/modules/m_challenge.c:
	  - m_challenge.c:m_challenge(): added sanity test on parv[1]

2014-07-19 20:56:48  michael

	* [r4275] /ircd-hybrid/branches/8.2.x/modules/m_resv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_xline.c:
	  - m_xline.c, m_resv.c: fixed bug where the mask which is to be banned is checked in
	    both valid_wild_card_simple() and valid_wild_card()

2014-07-19 20:21:16  michael

	* [r4272] /ircd-hybrid/branches/8.2.x/doc/challenge.txt:
	  - Update challenge.txt

2014-07-19 20:17:19  michael

	* [r4271] /ircd-hybrid/branches/8.2.x/modules/m_challenge.c:
	  - m_challenge.c:m_challenge(): cosmetical fix

2014-07-19 19:37:10  michael

	* [r4268] /ircd-hybrid/branches/8.2.x/modules/m_help.c:
	  - m_help.c: style corrections

2014-07-19 19:26:57  michael

	* [r4267] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2014-07-19 19:21:14  michael

	* [r4264] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:valid_wild_card_simple(): don't read past the zero character

2014-07-18 22:59:40  michael

	* [r4261] /ircd-hybrid/branches/8.2.x/tools/respond.c:
	  - respond.c: update binary_to_hex()

2014-07-18 22:47:03  michael

	* [r4259] /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - conf_parser.y: do some logging if the dh param file can't be opened/read

2014-07-18 22:35:42  michael

	* [r4255] /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - conf_parser.y: fixed logging of invalid private key

2014-07-18 21:05:01  michael

	* [r4253] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_challenge.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/rsa.c:
	  - Cleaned up and sanitized /challenge related code
	  - rsa.c:get_randomness(): removed EGD support; also don't fall back to RAND_pseudo_bytes()
	    if RAND_bytes() fails. If RAND_bytes() fails, just reject the /challenge request.

2014-07-18 20:25:26  michael

	* [r4251] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  - .travis.yml: according to the travis ci guys, gcc-4.8 is now pre-installed on osx.
	    Let's see if it works this time.

2014-07-17 21:41:33  michael

	* [r4246] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_check_openssl.m4, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - m_server.c: fixed build with LibreSSL which hasn't compression support
	  - ax_check_openssl.m4: 0.9.8m is now the minimum requirement

2014-07-17 21:14:52  michael

	* [r4244] /ircd-hybrid/branches/8.2.x/include/auth.h, 
	  /ircd-hybrid/branches/8.2.x/include/s_bsd.h:
	  - auth.h, s_bsd.h: removed unused function declarations

2014-07-17 17:18:49  michael

	* [r4241] /ircd-hybrid/branches/8.2.x/modules/m_xline.c:
	  - m_xline.c: fixed broken check_xline()

2014-07-15 19:40:24  michael

	* [r4239] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:res_readreply(): removed sparc/alpha hack

2014-07-15 19:39:02  michael

	* [r4238] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:res_readreply(): don't do anything until we checked for possible
	    fake replies

2014-07-15 19:32:14  michael

	* [r4235] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c:res_readreply(): even if it's not clear if it's possible to receive
	    a response for a query we didn't send, but we better execute auth_dns_callback()
	    immediately instead of waiting until timeout_auth_queries_event() takes action.

2014-07-15 19:25:03  michael

	* [r4234] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c: made timeout_query_list() not require an argument

2014-07-15 18:57:13  michael

	* [r4232] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c: reformatting

2014-07-14 22:11:08  michael

	* [r4229] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick(), mr_nick(): use target_p->name when reporting ERR_NICKNAMEINUSE

2014-07-14 21:48:27  michael

	* [r4228] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c:check_clean_nick(): make sure not to send a KILL for a server

2014-07-14 21:40:35  michael

	* [r4225] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c: removed unused header includes

2014-07-14 21:09:07  michael

	* [r4224] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:register_remote_user(): constification

2014-07-14 20:56:14  michael

	* [r4221] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:user_welcome(): removed useless test on source_p->id

2014-07-14 17:55:30  michael

	* [r4218] /ircd-hybrid/branches/8.2.x/doc/ircd.8:
	  - Update ircd manpage

2014-07-14 17:48:23  michael

	* [r4217] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS [ci skip]

2014-07-14 14:35:20  michael

	* [r4215] /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c: cleaned up style; sprinkled some assert() statements

2014-07-14 11:24:10  michael

	* [r4212] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_trace.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Renamed serv_list to local_server_list

2014-07-12 21:22:22  michael

	* [r4211] /ircd-hybrid/branches/8.2.x/src/server.c:
	  - server.c:hunt_server(): removed useless test. Discussed and approved by Adam.

2014-07-12 20:13:06  michael

	* [r4208] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_links.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Renammed global_serv_list to global_server_list

2014-07-12 19:52:08  michael

	* [r4207] /ircd-hybrid/branches/8.2.x/src/server.c:
	  - server.c: cleaned up hunt_server()

2014-07-12 19:32:13  michael

	* [r4204] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2014-07-12 19:27:08  michael

	* [r4203] /ircd-hybrid/branches/8.2.x/help/admin, 
	  /ircd-hybrid/branches/8.2.x/help/info, 
	  /ircd-hybrid/branches/8.2.x/help/links, 
	  /ircd-hybrid/branches/8.2.x/help/lusers, 
	  /ircd-hybrid/branches/8.2.x/help/motd, 
	  /ircd-hybrid/branches/8.2.x/help/part, 
	  /ircd-hybrid/branches/8.2.x/help/time, 
	  /ircd-hybrid/branches/8.2.x/help/version:
	  - Update helpfiles

2014-07-11 21:51:25  michael

	* [r4201] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:handle_numeric(): if source_p is a hidden server, rewrite prefix aswell

2014-07-10 21:52:27  michael

	* [r4198] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:initialize_global_set_options(): removed useless memset()

2014-07-10 21:49:02  michael

	* [r4197] /ircd-hybrid/branches/8.2.x/src/server.c:
	  - server.c:try_connections(): whitespace changes

2014-07-10 21:10:15  michael

	* [r4194] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c:perform_nick_change_collides(): style cleanups

2014-07-10 20:22:06  michael

	* [r4193] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c: removed unused/dead code

2014-07-07 21:03:14  michael

	* [r4191] /ircd-hybrid/branches/8.2.x/doc/Tao-of-IRC.940110, 
	  /ircd-hybrid/branches/8.2.x/doc/index.txt:
	  - Removed doc/Tao-of-IRC.940110

2014-07-07 20:29:35  michael

	* [r4188] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Don't add/remove unregistered connections to/from global_client_list

2014-07-06 18:14:19  michael

	* [r4186] /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c:exit_one_client(): re-added test on source_p->node.next

2014-07-06 17:43:10  michael

	* [r4184] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2014-07-06 16:04:06  michael

	* [r4182] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-07-06 15:11:44  michael

	* [r4181] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Revved version to hybrid-8.2.0beta4

2014-07-06 14:28:49  michael

	* [r4180] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-07-05 19:40:59  michael

	* [r4175] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:clear_ban_cache(): use locmembers list

2014-07-05 17:58:57  michael

	* [r4172] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2014-07-05 17:33:37  michael

	* [r4171] /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c:
	  - Bring back channel->locmember list

2014-07-04 20:41:03  michael

	* [r4167] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  - .travis.yml: build with --enable-assert

2014-07-04 19:35:58  michael

	* [r4166] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c: fixed compile error with --enable-assert

2014-07-03 22:14:07  michael

	* [r4164] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-07-03 21:45:30  michael

	* [r4163] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - Removed ssl_server_method and ssl_client_method configuration options.
	    ircd now only allows TLSv1, TLSv1.1 and TLSv1.2 protocols depending
	    on the OpenSSL version.

2014-07-03 20:25:36  michael

	* [r4160] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:ssl_init(): removed SSL_OP_TLS_ROLLBACK_BUG from options

2014-07-02 20:23:48  michael

	* [r4154] /ircd-hybrid/branches/8.2.x/modules/m_encap.c:
	  - m_encap.c: respect args_min when calling the encap handler

2014-07-02 19:45:06  michael

	* [r4152] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c: from p4: move resv channel oper notice to umode reject

2014-07-02 19:34:30  michael

	* [r4149] /ircd-hybrid/branches/8.2.x/help/stats:
	  - Another help/stats update

2014-07-02 19:25:21  michael

	* [r4147] /ircd-hybrid/branches/8.2.x/help/stats:
	  - Update help/stats

2014-07-02 19:15:59  michael

	* [r4144] /ircd-hybrid/branches/8.2.x/help/stats:
	  - Update help/stats

2014-07-02 19:15:01  michael

	* [r4143] /ircd-hybrid/branches/8.2.x/include/hook.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/hook.c:
	  - Removed hooking system

2014-07-02 16:44:59  michael

	* [r4141] /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c:exit_one_client(): removed XXX; added an assert() just in case

2014-07-02 16:23:31  michael

	* [r4138] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:ssl_init(): add SSL_OP_SINGLE_DH_USE to options

2014-07-02 13:31:04  michael

	* [r4137] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c:uid_from_server(): fixed use of wrong CLient pointer

2014-07-02 13:01:11  michael

	* [r4134] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c:change_remote_nick(): fixed broken assert()

2014-07-01 23:42:48  michael

	* [r4132] /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c: removed 'event_check_splitmode'. Changed 'splitmode_event' to run every 5 seconds
	    if server is in splitmode

2014-07-01 21:49:41  michael

	* [r4131] /ircd-hybrid/branches/8.2.x/include/event.h, 
	  /ircd-hybrid/branches/8.2.x/src/event.c:
	  - event.c, event.h: update copyright headers

2014-07-01 21:32:05  michael

	* [r4128] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:ssl_init(): minor cleanup

2014-07-01 21:24:32  michael

	* [r4127] /ircd-hybrid/branches/8.2.x/src/event.c:
	  - event.c:event_addish(): removed XXX

2014-07-01 19:43:33  michael

	* [r4124] /ircd-hybrid/branches/8.2.x/src/event.c:
	  - event.c: removed unused header includes

2014-07-01 19:26:06  michael

	* [r4123] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2014-07-01 18:59:39  michael

	* [r4120] /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - conf_parser.y: fixed stupid bug. no comment there...

2014-07-01 18:56:29  michael

	* [r4119] /ircd-hybrid/branches/8.2.x/src/event.c:
	  - event.c:event_run(): changed 'len' variable to an unsigned int.
	    Note that dlink_list_length() is unsigned int.

2014-07-01 18:50:58  michael

	* [r4116] /ircd-hybrid/branches/8.2.x/src/event.c:
	  - event.c:event_run(): removed unused variable

2014-07-01 18:49:54  michael

	* [r4115] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c:
	  - Added ssl_message_digest_algorithm configuration option to serverinfo{} block.
	    See doc/reference.conf for more information.

2014-07-01 18:02:36  michael

	* [r4112] /ircd-hybrid/branches/8.2.x/include/rsa.h, 
	  /ircd-hybrid/branches/8.2.x/src/rsa.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd.c, 
	  /ircd-hybrid/branches/8.2.x/src/server.c:
	  - Make use of binary_to_hex() in ssl_handshake() and ssl_server_handshake()

2014-07-01 17:56:36  michael

	* [r4111] /ircd-hybrid/branches/8.2.x/src/rsa.c:
	  - rsa.c: make binary_to_hex() more readable

2014-06-30 23:02:18  michael

	* [r4109] /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Allow [ in usernames

2014-06-30 17:50:40  michael

	* [r4107] /ircd-hybrid/branches/8.2.x/include/ircd.h, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.h, ircd.c: change some structures to anonymous structures

2014-06-30 17:38:09  michael

	* [r4104] /ircd-hybrid/branches/8.2.x/include/supported.h, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Removed supported.h

2014-06-29 21:35:16  michael

	* [r4101] /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - Add CHACCESS_REMOTE for servers remote Clients

2014-06-29 19:22:41  michael

	* [r4100] /ircd-hybrid/branches/8.2.x/src/event.c:
	  - event.c: fixed issue in event_run()

2014-06-29 14:18:39  michael

	* [r4097] /ircd-hybrid/branches/8.2.x/src/mempool.c:
	  - mempool.c: run mp_pool_garbage_collect every 3 minutes

2014-06-29 13:51:22  michael

	* [r4095] /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/include/event.h, 
	  /ircd-hybrid/branches/8.2.x/include/ircd.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_set.c, 
	  /ircd-hybrid/branches/8.2.x/src/auth.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/event.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/mempool.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c:
	  - Merged Adam's event system rewrite

2014-06-29 11:51:17  michael

	* [r4092] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c: improve documentation

2014-06-29 11:36:39  michael

	* [r4091] /ircd-hybrid/branches/8.2.x/include/user.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Cleaned up UID introduction / NICK change related code

2014-06-28 18:45:42  michael

	* [r4087] /ircd-hybrid/branches/8.2.x/include/mempool.h, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/dbuf.c, 
	  /ircd-hybrid/branches/8.2.x/src/hash.c, 
	  /ircd-hybrid/branches/8.2.x/src/list.c, 
	  /ircd-hybrid/branches/8.2.x/src/mempool.c, 
	  /ircd-hybrid/branches/8.2.x/src/res.c, 
	  /ircd-hybrid/branches/8.2.x/src/watch.c:
	  - Let mp_pool_get() clear memory

2014-06-28 18:31:11  michael

	* [r4084] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c: style cleanups; constification

2014-06-28 18:23:04  michael

	* [r4083] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-06-28 18:20:12  michael

	* [r4082] /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_knock.c:
	  - m_knock.c, m_invite.c: don't further penalize throttled clients

2014-06-28 17:59:53  michael

	* [r4079] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - conf.c, conf.h: change some structures to anonymous structures

2014-06-27 17:33:43  michael

	* [r4077] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/README:
	  - Update NEWS, README

2014-06-26 21:00:32  michael

	* [r4076] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-06-26 17:44:32  michael

	* [r4072] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:ssl_init(): removed SSL_OP_ALL from options

2014-06-26 17:42:08  michael

	* [r4071] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - Added proper ECDH support

2014-06-25 18:43:46  michael

	* [r4069] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:set_default_conf(): default to 1 connection per 1 second

2014-06-25 17:16:01  michael

	* [r4065] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c:check_splitmode(): logic fixes

2014-06-25 14:03:55  michael

	* [r4061] /ircd-hybrid/branches/8.2.x/modules/m_eob.c:
	  - m_eob.c:server_eob(): fixed faulty assert()

2014-06-24 20:18:46  michael

	* [r4057] /ircd-hybrid/branches/8.2.x/modules/m_resv.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_xline.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - Use %u conversion specifier for unsigned ints

2014-06-24 18:09:53  michael

	* [r4056] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:conf_connect_allowed(): fixed some logic errors

2014-06-24 17:31:18  michael

	* [r4053] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:read_conf_files(): chanmodes c an M were missed in CHANMODES

2014-06-22 23:50:48  michael

	* [r4050] /ircd-hybrid/branches/8.2.x/modules/m_undline.c:
	  - m_undline.c:mo_undline(): don't require an address to be prepended with *@

2014-06-22 18:13:51  michael

	* [r4046] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c:get_member_status(): document the magic value of 4

2014-06-22 18:09:24  michael

	* [r4045] /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel.c, channel_mode.c: update documentation in some places

2014-06-22 18:06:27  michael

	* [r4042] /ircd-hybrid/branches/8.2.x/modules/m_accept.c:
	  - m_accept.c:list_accepts(): make sure to have one byte left for the space

2014-06-22 15:34:49  michael

	* [r4041] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-06-22 15:29:40  michael

	* [r4039] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_stats.c:stats_tstats(): prefix "/stats t" reply with 't' instead of 'T',
	    as "/stats T" reports configured motd{} blocks

2014-06-22 14:03:14  michael

	* [r4036] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_stats.c:stats_auth(): removed useless test on conf->class

2014-06-22 13:59:46  michael

	* [r4035] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_stats.c: style corrections

2014-06-21 21:43:58  michael

	* [r4033] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_stats.c: constification

2014-06-21 21:37:57  michael

	* [r4031] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_stats.c:report_confitem_types(), report_auth(): removed useless test on conf->class

2014-06-21 20:31:00  michael

	* [r4029] /ircd-hybrid/branches/8.2.x/src/server.c:
	  - server.c:try_connections(): removed useless test on conf->class to
	    make coverity shut up. There shouldn't ever be a MaskItem on the
	    server_items list that hasn't a class attached to it.

2014-06-20 18:41:09  michael

	* [r4026] /ircd-hybrid/branches/8.2.x/include/client.h:
	  - client.h: fixed comment

2014-06-20 18:36:09  michael

	* [r4025] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - Removed LocalUser.last_nick_change as well as LocalUser.number_of_nick_changes.
	    Now using existing struct which is also being used for INVITE/KNOCK throttling.

2014-06-20 18:28:29  michael

	* [r4022] /ircd-hybrid/branches/8.2.x/include/channel.h:
	  - channel.h: removed Channel.last_invite; it's not used anymore

2014-06-20 18:19:28  michael

	* [r4021] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/user.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsnick.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Got rid of SEND_UMODES. We now propagate all modes.

2014-06-20 18:04:36  michael

	* [r4018] /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_kline.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - Renamed OPER_FLAG_K to OPER_FLAG_KLINE

2014-06-20 17:57:05  michael

	* [r4017] /ircd-hybrid/branches/8.2.x/include/client.h:
	  - client.h: update/fix comments

2014-06-19 20:49:29  michael

	* [r4015] /ircd-hybrid/branches/8.2.x/modules/m_accept.c:
	  - m_accept.c:list_accepts(): whitespace changes; fixed typo

2014-06-19 20:29:02  michael

	* [r4012] /ircd-hybrid/branches/8.2.x/modules/m_accept.c:
	  - m_accept.c:list_accepts(): fixed magic value to actually fully utilize all 512 bytes.
	    Add some documentation which describes this magic value so other people don't tear
	    their hair out about this value.

2014-06-19 17:56:40  michael

	* [r4011] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c:msg_client(): minor optimization

2014-06-19 17:18:21  michael

	* [r4008] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c:
	  - m_server.c:server_estab(): SVINFO can be prefixed

2014-06-19 17:00:43  michael

	* [r4006] /ircd-hybrid/branches/8.2.x/AUTHORS, 
	  /ircd-hybrid/branches/8.2.x/src/version.c:
	  - AUTHORS, version.c: added Fawkes to contributors

2014-06-19 14:59:49  michael

	* [r4004] /ircd-hybrid/branches/8.2.x/modules/m_encap.c:
	  - m_encap.c: minor cleanup. Also there must always be some function
	    assigned to the ENCAP handler. Let it crash if there isn't one.

2014-06-18 20:39:27  michael

	* [r4002] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c: constification; fixed style in some places

2014-06-18 20:18:30  michael

	* [r3999] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c:send_mode_list(): improve documentation

2014-06-18 20:09:42  michael

	* [r3998] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c:send_mode_list(): renamed variable

2014-06-18 20:07:08  michael

	* [r3995] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c:send_mode_list(): removed outdated comment

2014-06-18 18:30:33  michael

	* [r3991] /ircd-hybrid/branches/8.2.x/src/version.c:
	  - version.c: fixed compile warning with clang -Winvalid-source-encoding. Fix provided by grawity.

2014-06-18 18:23:37  michael

	* [r3989] /ircd-hybrid/branches/8.2.x/README:
	  - Update README. 8.x works properly on Mac OS X 10.9 (Mavericks). [ci skip]

2014-06-18 16:41:06  michael

	* [r3987] /ircd-hybrid/branches/8.2.x/src/s_bsd_epoll.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_kqueue.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_select.c:
	  - Removed unused header includes

2014-06-18 15:24:48  michael

	* [r3985] /ircd-hybrid/branches/8.2.x/src/s_bsd_epoll.c, 
	  /ircd-hybrid/branches/8.2.x/src/s_bsd_kqueue.c:
	  - s_bsd_epoll.c, s_bsd_kqueue.c: removed defines/prototypes for extremely outdated systems

2014-06-18 14:55:57  michael

	* [r3982] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c:build_target_list(): constification; made things look nicer with an EmptyString()

2014-06-18 14:43:43  michael

	* [r3981] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c:build_target_list(): constification

2014-06-18 14:41:10  michael

	* [r3978] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c:msg_client(): minor optimization. Most clients aren't set away, and a
	    directed message is nearly always a PRIVMSG

2014-06-18 13:58:40  michael

	* [r3974] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c:msg_client(): replaced MyConnect with MyClient test. Otherwise +R/+G opers won't receive
	    server notices for remote CONNECT and remote KLINE/DLINE/XLINE/RESV attempts.

2014-06-18 13:40:25  michael

	* [r3973] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c: update client->localClient->last_privmsg in m_privmsg()

2014-06-18 13:26:37  michael

	* [r3970] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c:msg_client(): style corrections

2014-06-18 13:13:33  michael

	* [r3969] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c:handle_special(): fixed stupid logic error

2014-06-18 12:53:33  michael

	* [r3966] /ircd-hybrid/branches/8.2.x/modules/m_svsnick.c:
	  - m_svsnick.c:ms_svsnick(): don't use hunt_server()

2014-06-17 20:32:04  michael

	* [r3964] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c:handle_special(): removed redundant HasUMode(source_p, UMODE_OPER) test

2014-06-17 20:15:07  michael

	* [r3960] /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_eob.c:
	  - Fixed EOB logic for remote servers. Fix derived from p4

2014-06-17 19:14:36  michael

	* [r3959] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  - Update .travis.yml

2014-06-16 21:53:22  michael

	* [r3953] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c: improve documentation

2014-06-16 20:49:59  michael

	* [r3950] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message.c:handle_special(): constification

2014-06-16 20:47:47  michael

	* [r3948] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - send.c:handle_special(): removed user@server messages to local users.
	    Going the RB and Chary way for now, as this was an easy way to bypass
	    +R/+G usermodes.

2014-06-16 20:08:38  michael

	* [r3946] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c:sendto_match_servs(): swap function calls; renamed variable

2014-06-16 20:04:33  michael

	* [r3945] /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_server.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Renamed global_channel_list to channel_list

2014-06-16 19:57:48  michael

	* [r3943] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c: fixed stupid 'bug' in sendto_match_servs()

2014-06-10 21:27:34  michael

	* [r3940] /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_tburst.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_topic.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - Renamed set_channel_topic() to channel_set_topic()

2014-06-10 21:19:43  michael

	* [r3939] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c:channel_do_join(): use chptr->chname if we know the channel exists

2014-06-10 20:59:51  michael

	* [r3936] /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_part.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svspart.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - Fixed SVSJOIN/SVSPART issues

2014-06-10 20:10:48  michael

	* [r3935] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-06-09 19:59:22  michael

	* [r3934] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf_class.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - Added max_channels to class{} blocks

2014-06-09 17:25:08  michael

	* [r3932] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:valid_wild_card(): use unsigned

2014-06-09 16:58:12  michael

	* [r3930] /ircd-hybrid/branches/8.2.x/include/ircd.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/src/client.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - Greatly speedup d-line lookup. Instead of testing every single client against
	    every existing d-line just check the just added ban against connected clients.
	    Also now check d-line _before_ looking for a matching exempt{}

2014-06-09 15:39:57  michael

	* [r3927] /ircd-hybrid/branches/8.2.x/modules/m_kline.c:
	  - m_kline.c: fixed compile warning with -Wconversion

2014-06-09 15:35:19  michael

	* [r3926] /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h:
	  - Fixed bunch of compile warnings with -Wconversion

2014-06-09 14:33:22  michael

	* [r3922] /ircd-hybrid/branches/8.2.x/include/ircd.h:
	  - Ugly-fix compile warning

2014-06-09 14:04:26  michael

	* [r3921] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-06-08 16:47:52  michael

	* [r3918] /ircd-hybrid/branches/8.2.x/modules/m_svspart.c:
	  - m_svspart.c:ms_svspart(): must of course use target_p

2014-06-08 15:49:55  michael

	* [r3917] /ircd-hybrid/branches/8.2.x/modules/core/m_join.c:
	  - m_join.c: removed do_join_0()

2014-06-08 15:23:04  michael

	* [r3914] /ircd-hybrid/branches/8.2.x/modules/m_oper.c:
	  - m_oper.c:m_oper(): style corrections

2014-06-08 15:21:53  michael

	* [r3913] /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_part.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svsjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_svspart.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - Moved duplicated code used by m_svspart.c and m_part.c, aswell as
	    m_svsjoin.c and m_join.c to channel.c

2014-06-07 02:09:17  michael

	* [r3910] /ircd-hybrid/branches/8.2.x/modules/m_who.c:
	  - m_who.c: Use 'unsigned' whenever possible

2014-06-07 01:57:40  michael

	* [r3909] /ircd-hybrid/branches/8.2.x/src/hash.c:
	  - hash.c: Use 'unsigned' whenever possible

2014-06-07 01:52:50  michael

	* [r3906] /ircd-hybrid/branches/8.2.x/include/ircd.h, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/match.c:
	  - Use 'unsigned' whenever possible

2014-06-07 00:26:24  michael

	* [r3904] /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c:
	  - m_squit.c:mo_squit(): "fixed" coverity CID 1135874

2014-06-06 23:39:45  michael

	* [r3903] /ircd-hybrid/branches/8.2.x/include/ircd.h:
	  - ircd.h: use 'unsigned' whenever possible

2014-06-06 23:32:30  michael

	* [r3900] /ircd-hybrid/branches/8.2.x/include/client.h:
	  - client.h: fixed spelling error

2014-06-06 22:43:59  michael

	* [r3899] /ircd-hybrid/branches/8.2.x/include/client.h:
	  - client.h: fixed compile warnings with -Wsign-conversion

2014-06-06 21:09:00  michael

	* [r3897] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:add_isupport(): fixed compile warning with -Wconditional-uninitialized

2014-06-06 20:47:19  michael

	* [r3894] /ircd-hybrid/branches/8.2.x/modules/m_info.c:
	  - m_info.c:send_info_text(): fixed compile warning

2014-06-06 20:42:27  michael

	* [r3891] /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - conf_parser.y: fixed stupid bug that has successfully has hidden itself since Feb 5, 2002

2014-06-06 20:22:16  michael

	* [r3889] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c: documentation updates

2014-06-06 19:33:27  michael

	* [r3886] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  Update .travis.yml

2014-06-06 19:10:09  michael

	* [r3883] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2014-06-06 18:40:19  michael

	* [r3880] /ircd-hybrid/branches/8.2.x/src/rng_mt.c:
	  - rng_mt.c: removed trailing whitespaces

2014-06-06 18:03:09  michael

	* [r3879] /ircd-hybrid/branches/8.2.x/modules/m_info.c:
	  - m_info.c.:send_info_text(): style corrections

2014-06-06 17:42:52  michael

	* [r3876] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/listener.c:
	  - Added general::throttle_count idea from p4

2014-06-06 16:42:13  michael

	* [r3874] /ircd-hybrid/branches/8.2.x/modules/m_accept.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_admin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_away.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_cap.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_challenge.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_connect.c:
	  - Style corrections; fixed comments

2014-06-06 15:20:18  michael

	* [r3873] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:mod_add_cmd(): no need to reset command counters upon module load

2014-06-06 15:08:03  michael

	* [r3871] /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_module.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Use unsigned whenever possible

2014-06-06 00:13:23  michael

	* [r3868] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-06-06 00:11:02  michael

	* [r3867] /ircd-hybrid/branches/8.2.x/doc/modes.txt, 
	  /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/help/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/help/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/help/index, 
	  /ircd-hybrid/branches/8.2.x/help/operwall, 
	  /ircd-hybrid/branches/8.2.x/help/umode, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.am, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/m_operwall.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_wallops.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Removed OPERWALL. Use GLOBOPS instead.

2014-06-05 23:07:40  michael

	* [r3865] /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_knock.c:
	  - m_invite.c, m_knock.c: fixed stupid logic error

2014-06-05 22:41:19  michael

	* [r3864] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-06-05 22:31:35  michael

	* [r3863] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_knock.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y:
	  - Made the INVITE/KNOCK throttling logic less aggressive as requested by Adam

2014-06-05 18:42:51  michael

	* [r3858] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - doc/reference.conf: whitespace changes

2014-06-05 16:10:15  michael

	* [r3857] /ircd-hybrid/branches/8.2.x/modules/m_set.c:
	  - m_set.c: made things use an unsigned int

2014-06-05 16:04:33  michael

	* [r3854] /ircd-hybrid/branches/8.2.x/modules/m_set.c:
	  - m_set.c: whitespace changes

2014-06-05 15:13:00  michael

	* [r3853] /ircd-hybrid/branches/8.2.x/src/reslib.c:
	  - reslib.c: style corrections

2014-06-05 14:43:26  michael

	* [r3850] /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c:
	  - m_squit.c:ms_squit(): use sendto_realops_flags() when announcing remote SQUITs

2014-06-05 14:00:31  michael

	* [r3849] /ircd-hybrid/branches/8.2.x/modules/m_connect.c:
	  - m_connect.c:ms_connect(): use sendto_realops_flags() when announcing the CONNECT

2014-06-05 13:55:33  michael

	* [r3846] /ircd-hybrid/branches/8.2.x/modules/m_globops.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_locops.c:
	  - m_locops.c, m_globops.c: removed extra colons

2014-06-05 13:34:39  michael

	* [r3843] /ircd-hybrid/branches/8.2.x/include/send.h:
	  - send.h: update comment

2014-06-05 13:19:13  michael

	* [r3842] /ircd-hybrid/branches/8.2.x/include/send.h, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - Removed ONLY_CHANOPS; let non-ops see +I/+e lists, too

2014-06-05 02:35:43  michael

	* [r3839] /ircd-hybrid/branches/8.2.x/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/aclocal.m4, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/doc/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/help/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/libltdl/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_append_compile_flags.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_check_compile_flag.m4, 
	  /ircd-hybrid/branches/8.2.x/m4/ax_require_defined.m4, 
	  /ircd-hybrid/branches/8.2.x/modules/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/modules/core/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/src/Makefile.in, 
	  /ircd-hybrid/branches/8.2.x/tools/Makefile.in:
	  - Update macros in m4/

2014-06-05 02:17:37  michael

	* [r3836] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  - .travis.yml: build with libGeoIP

2014-06-04 22:07:13  michael

	* [r3829] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  - Update .travis.yml

2014-06-04 20:52:13  michael

	* [r3825] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  - Update .travis.yml

2014-06-04 20:33:24  michael

	* [r3823] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  - Update .travis.yml

2014-06-04 20:10:26  michael

	* [r3820] /ircd-hybrid/branches/8.2.x/.travis.yml:
	  - Added .travis.yml

2014-06-03 23:42:31  michael

	* [r3817] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - doc/reference.conf: fixed spelling error

2014-06-03 22:13:48  michael

	* [r3815] /ircd-hybrid/branches/8.2.x/acinclude.m4, 
	  /ircd-hybrid/branches/8.2.x/configure:
	  - Added -Wlogical-op to warning options

2014-06-03 21:35:04  michael

	* [r3813] /ircd-hybrid/branches/8.2.x/acinclude.m4, 
	  /ircd-hybrid/branches/8.2.x/configure:
	  - Added -Wpointer-arith to warning options

2014-06-03 21:18:52  michael

	* [r3811] /ircd-hybrid/branches/8.2.x/acinclude.m4, 
	  /ircd-hybrid/branches/8.2.x/configure:
	  - Added -Wmissing-include-dirs to warnings options

2014-06-03 20:57:48  michael

	* [r3808] /ircd-hybrid/branches/8.2.x/modules/core/m_squit.c:
	  - m_squit.c:ms_squit(): use GLOBOPS to announce remote squits

2014-06-03 20:55:28  michael

	* [r3807] /ircd-hybrid/branches/8.2.x/modules/m_connect.c:
	  - m_connect.c:ms_connect(): use GLOBOPS to announce remote connects

2014-06-03 20:27:26  michael

	* [r3804] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c:sendto_channel_butone(): replaced IsServer() test with IsClient()

2014-06-03 20:24:04  michael

	* [r3801] /ircd-hybrid/branches/8.2.x/src/send.c:
	  - send.c:sendto_match_servs(): use DLINK_FOREACH_SAFE() as send_message_remote()
	    might exit client/server

2014-06-03 01:44:11  michael

	* [r3799] /ircd-hybrid/branches/8.2.x/include/stdinc.h:
	  - stdinc.h: whitespace commit

2014-06-03 01:40:15  michael

	* [r3798] /ircd-hybrid/branches/8.2.x/help/quit:
	  - help/quit: whitespace commit

2014-06-03 01:38:02  michael

	* [r3795] /ircd-hybrid/branches/8.2.x/modules/m_connect.c:
	  - m_connect.c: whitespace commit

2014-06-03 01:36:25  michael

	* [r3794] /ircd-hybrid/branches/8.2.x/modules/m_gline.c:
	  - m_gline.c: whitespace commit

2014-06-03 01:32:10  michael

	* [r3791] /ircd-hybrid/branches/8.2.x/modules/m_unkline.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_unxline.c:
	  - m_xline.c, m_unkline.c: whitespace commit

2014-06-03 01:30:13  michael

	* [r3790] /ircd-hybrid/branches/8.2.x/modules/m_set.c:
	  - m_set.c: whitespace commit

2014-06-03 01:28:08  michael

	* [r3788] /ircd-hybrid/branches/8.2.x/modules/m_challenge.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_etrace.c:
	  - m_etrace.c: whitespace commit

2014-06-03 01:25:48  michael

	* [r3784] /ircd-hybrid/branches/8.2.x/modules/m_admin.c:
	  - m_admin.c: whitespace commit

2014-06-03 01:24:41  michael

	* [r3783] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - whitespace commit

2014-06-02 22:43:11  michael

	* [r3779] /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - conf.c:set_default_conf(): reset ConfigFileEntry.stats_e_disabled

2014-06-02 21:05:37  michael

	* [r3778] /ircd-hybrid/branches/8.2.x/modules/core/m_bmask.c:
	  - m_bmask.c: doxygen

2014-06-02 20:59:27  michael

	* [r3775] /ircd-hybrid/branches/8.2.x/modules/core/m_tmode.c:
	  - m_tburst.c: doxygen

2014-06-02 20:46:23  michael

	* [r3774] /ircd-hybrid/branches/8.2.x/modules/core/m_message.c:
	  - m_message: style corrections; made things use an enum

2014-06-02 00:42:14  michael

	* [r3769] /ircd-hybrid/branches/8.2.x/src/hostmask.c:
	  - hostmask.c:mask_addr(): ficed compile warnings:
	  
	  hostmask.c: In function ‘mask_addr’:
	  hostmask.c:332:35: warning: declaration of ‘__v’ shadows a previous local [-Wshadow]
	  hostmask.c:332:35: warning: shadowed declaration is here [-Wshadow]
	  hostmask.c:332:35: warning: declaration of ‘__x’ shadows a previous local [-Wshadow]
	  hostmask.c:332:35: warning: shadowed declaration is here [-Wshadow]

2014-06-01 23:46:58  michael

	* [r3768] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-06-01 23:42:51  michael

	* [r3766] /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - /INVITE without any parameters now shows a list of channels a client is invited to

2014-06-01 23:29:08  michael

	* [r3765] /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - Make sure ConfigChannel.invite_delay_channel and ConfigChannel.invite_delay
	    get initialized in conf.c:set_default_conf(). Also make sure the values are
	    reported in /info.

2014-06-01 22:29:36  michael

	* [r3763] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/include/channel.h, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/include/conf.h, 
	  /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_invite.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - Added INVITE flood protection/throttling as requested by Adam. This basically
	    works similar as the KNOCK throttling algorithm.

2014-06-01 20:49:09  michael

	* [r3761] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-06-01 20:40:10  michael

	* [r3759] /ircd-hybrid/branches/8.2.x/doc/ircd.8:
	  - Update ircd man page

2014-06-01 20:37:51  michael

	* [r3756] /ircd-hybrid/branches/8.2.x/doc/modes.txt:
	  - Update modes.txt

2014-06-01 20:27:31  michael

	* [r3755] /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c, channel_mode.h: constification

2014-06-01 20:11:22  michael

	* [r3752] /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - More ms_sjoin() cleanups

2014-06-01 19:57:48  michael

	* [r3751] /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c:
	  - m_sjoin.c: style corrections

2014-06-01 19:41:15  michael

	* [r3748] /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c:
	  - m_sjoin.c:remove_ban_list(): replaced sprintf() with snprintf()

2014-06-01 19:15:40  michael

	* [r3747] /ircd-hybrid/branches/8.2.x/src/server.c:
	  - server.c:send_capabilities(): replaced sprintf() with strlcat(

2014-06-01 19:06:40  michael

	* [r3744] /ircd-hybrid/branches/8.2.x/modules/m_rehash.c:
	  - m_rehash.c: removed useless comment; style corrections

2014-06-01 18:38:59  michael

	* [r3743] /ircd-hybrid/branches/8.2.x/modules/m_info.c:
	  - m_info.c: style corrections; make things use an enum

2014-06-01 18:27:48  michael

	* [r3740] /ircd-hybrid/branches/8.2.x/modules/m_gline.c:
	  - m_gline.c: removed useless asserts; style corrections

2014-06-01 18:18:33  michael

	* [r3739] /ircd-hybrid/branches/8.2.x/modules/m_ison.c:
	  - m_ison.c:m_ison(): style corrections

2014-06-01 18:10:21  michael

	* [r3736] /ircd-hybrid/branches/8.2.x/modules/m_dline.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf.c:
	  - Added some documentation about find_chasing()

2014-06-01 18:03:32  michael

	* [r3735] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c: minor cleanups and code rearrangements

2014-06-01 17:29:10  michael

	* [r3732] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c: get rid of fix_key_old()

2014-05-31 22:58:38  michael

	* [r3731] /ircd-hybrid/branches/8.2.x/src/client.c:
	  - client.c:get_client_name(): minor optimization

2014-05-31 19:21:20  michael

	* [r3728] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:cancel_clients(): removed outdated comments

2014-05-31 19:17:05  michael

	* [r3727] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:cancel_clients(): be a void function

2014-05-31 18:29:38  michael

	* [r3725] /ircd-hybrid/branches/8.2.x/INSTALL, 
	  /ircd-hybrid/branches/8.2.x/acinclude.m4, 
	  /ircd-hybrid/branches/8.2.x/config.h.in, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_join.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_message.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c, 
	  /ircd-hybrid/branches/8.2.x/src/ircd.c, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Halfops are now part of the ircd core and enabled by default

2014-05-30 20:25:18  michael

	* [r3722] /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c:
	  - m_kick.c:m_kick(): removed outdated comment

2014-05-30 19:46:07  michael

	* [r3720] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:chm_simple(): channel halfops may now set +p

2014-05-30 19:43:20  michael

	* [r3716] /ircd-hybrid/branches/8.2.x/modules/core/m_kick.c:
	  - m_kick.c:m_kick(): channel halfops (%) may now no longer KICK other channel halfops

2014-05-30 19:21:20  michael

	* [r3714] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:chm_hop(): channel halfops (%) may now no longer (de)halfop other channel members

2014-05-30 18:46:52  michael

	* [r3710] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c: irc-operators may now no longer set a channel +O if they are only halfops (%)

2014-05-30 18:21:00  michael

	* [r3708] /ircd-hybrid/branches/8.2.x/include/channel_mode.h:
	  - channel_mode.h: removed outdated comment

2014-05-30 18:18:58  michael

	* [r3705] /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - Removed unused ChModeChange.client

2014-05-30 18:14:19  michael

	* [r3703] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:send_mode_changes(): removed anonops leftovers

2014-05-30 18:13:00  michael

	* [r3702] /ircd-hybrid/branches/8.2.x/include/send.h:
	  - send.h: removed anonops leftovers

2014-05-30 18:09:38  michael

	* [r3699] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c: style corrections

2014-05-30 18:00:01  michael

	* [r3697] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:chm_operonly(): removed dead code

2014-05-29 21:37:00  michael

	* [r3694] /ircd-hybrid/branches/8.2.x/include/channel_mode.h, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c, 
	  /ircd-hybrid/branches/8.2.x/modules/core/m_tmode.c, 
	  /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - Removed CHFL_DEOPPED flags which is no longer needed with TS6

2014-05-29 19:27:21  michael

	* [r3693] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c: revert changes to channel_modes() for now. apparently
	    there are some other parts that rely on this odd behaviour.

2014-05-29 18:12:49  michael

	* [r3688] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:channel_modes(): replaced sprintf with strcat;
	    use %u conversion specifier for unsigned ints

2014-05-29 17:59:30  michael

	* [r3686] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:channel_modes(): fix to previous changes

2014-05-29 17:48:13  michael

	* [r3682] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:channel_modes(): get rid of trailing spaces if
	    the channel is +k/+l

2014-05-29 16:53:21  michael

	* [r3680] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c: style corrections

2014-05-29 16:41:50  michael

	* [r3677] /ircd-hybrid/branches/8.2.x/modules/core/m_nick.c:
	  - m_nick.c:ms_uid(): updated documentation

2014-05-29 16:34:09  michael

	* [r3675] /ircd-hybrid/branches/8.2.x/include/conf.h:
	  - conf.h:struct config_file_entry: changed 'oper_only_umodes' and 'oper_umodes'
	    to unsigned int types. Otherwise we may expect integer overflows in the future
	    if more user modes get added.

2014-05-29 13:57:44  michael

	* [r3673] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:chm_op(), chm_hop(), chm_voice(): use target_p->name when
	    reporting ERR_USERNOTINCHANNEL

2014-05-29 13:47:36  michael

	* [r3670] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c: style corrections

2014-05-29 13:29:30  michael

	* [r3669] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:send_mode_changes_server(): removed resolved XXX

2014-05-29 12:32:49  michael

	* [r3666] /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c:
	  - m_mode.c:m_mode(): moved 'parabuf' and 'modebuf' to inner scope

2014-05-29 12:29:43  michael

	* [r3665] /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c:
	  - m_mode.c:set_user_mode(): moved 'buf' to inner scope

2014-05-29 12:25:02  michael

	* [r3662] /ircd-hybrid/branches/8.2.x/include/conf.h:
	  - conf.h: removed extraneous comma

2014-05-29 12:18:53  michael

	* [r3661] /ircd-hybrid/branches/8.2.x/modules/core/m_join.c:
	  - m_join.c: style corrections

2014-05-29 11:59:36  michael

	* [r3658] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - reference.conf: add resv{} for nick 'Global'

2014-05-29 11:45:16  michael

	* [r3657] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:valid_username(): removed extraneous semicolon

2014-05-28 22:51:07  michael

	* [r3654] /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c, m_stats.c: whitespace changes

2014-05-26 17:42:10  michael

	* [r3653] /ircd-hybrid/branches/8.2.x/src/res.c:
	  - res.c: removed unused definitions

2014-05-26 17:33:02  michael

	* [r3650] /ircd-hybrid/branches/8.2.x/include/send.h:
	  - send.h: removed unused kill_client_serv_butone() prototype

2014-05-26 16:11:32  michael

	* [r3649] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:chm_operonly(): removed dead code

2014-05-26 16:06:24  michael

	* [r3646] /ircd-hybrid/branches/8.2.x/modules/m_etrace.c:
	  - m_etrace.c:do_etrace(): removed dead code

2014-05-26 14:34:53  michael

	* [r3644] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Revved version to 8.2.0beta3

2014-05-26 12:57:03  michael

	* [r3643] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_stats.c:stats_tstats(): fixed faulty sendto_one_numeric

2014-05-23 22:00:48  michael

	* [r3640] /ircd-hybrid/branches/8.2.x/modules/m_map.c:
	  - m_map.c:dump_map(): use 'unsigned' whenever possible

2014-05-23 21:54:44  michael

	* [r3639] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c: moved *para[] to parse()

2014-05-23 20:56:55  michael

	* [r3636] /ircd-hybrid/branches/8.2.x/modules/core/m_join.c:
	  - m_join.c:ms_join(): fixed compile warning

2014-05-23 20:55:51  michael

	* [r3635] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c: removed unused SM_ERR_NOTS; made errorcodes use an enum

2014-05-23 20:40:13  michael

	* [r3633] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:handle_numeric(): replaced MyClient test with MyConnect(). find_person()
	    already ensures that target_p is a fully registered client.

2014-05-23 20:36:42  michael

	* [r3630] /ircd-hybrid/branches/8.2.x/src/channel_mode.c:
	  - channel_mode.c:chm_operonly(): removed redundant assignment

2014-05-22 22:19:37  michael

	* [r3627] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c: cleanup comments

2014-05-22 22:12:58  michael

	* [r3626] /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c:
	  - m_sjoin.c:ms_sjoin(): let handle_command() test for the right amount
	    of parameters passed to SJOIN

2014-05-22 21:51:13  michael

	* [r3623] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:add_msg_element(), del_msg_element(): zero initialize pointers for
	    debugging purposes

2014-05-22 21:30:59  michael

	* [r3620] /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c:
	  - m_sjoin.c:ms_sjoin(): hardened test to make sure SJOINs are really
	    only processed if sent by a server

2014-05-22 21:19:28  michael

	* [r3618] /ircd-hybrid/branches/8.2.x/modules/core/m_join.c:
	  - m_join.c:ms_join(): don't allow servers to join channels

2014-05-22 20:40:39  michael

	* [r3615] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:mod_del_cmd(): make sure the command actually exists in the trie before
	    attempting to remove it. We could end up in a corrupted trie otherwise.

2014-05-22 19:59:12  michael

	* [r3612] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parse.c:remove_unknown(): use me.id when sending KILL/SQUIT to servers

2014-05-22 19:57:47  michael

	* [r3611] /ircd-hybrid/branches/8.2.x/src/parse.c:
	  - parser.c:do_numeric(): fixed stupid bug introduced in -3574

2014-05-20 20:22:58  michael

	* [r3609] /ircd-hybrid/branches/8.2.x/modules/m_trace.c:
	  - m_trace.c: removed set_time() calls

2014-05-20 19:44:33  michael

	* [r3607] /ircd-hybrid/branches/8.2.x/modules/m_set.c:
	  - m_set.c: whitespace changes

2014-05-20 19:39:31  michael

	* [r3604] /ircd-hybrid/branches/8.2.x/modules/m_accept.c:
	  - m_accept.c: style corrections

2014-05-20 19:35:54  michael

	* [r3603] /ircd-hybrid/branches/8.2.x/src/fdlist.c:
	  - fdlist.c: style corrections

2014-05-20 19:33:08  michael

	* [r3601] /ircd-hybrid/branches/8.2.x/src/fdlist.c:
	  - fdlist.c: use unsigned whenever possible

2014-05-20 19:29:05  michael

	* [r3598] /ircd-hybrid/branches/8.2.x/src/event.c:
	  - event.c: use unsigned whenever possible

2014-05-20 19:15:14  michael

	* [r3597] /ircd-hybrid/branches/8.2.x/modules/m_svsnick.c:
	  - m_svsnick.c: whitespace changes

2014-05-18 21:32:58  michael

	* [r3594] /ircd-hybrid/branches/8.2.x/modules/m_services.c:
	  - m_services.c:m_botserv(): add missing return

2014-05-18 18:43:03  michael

	* [r3592] /ircd-hybrid/branches/8.2.x/modules/m_services.c:
	  - m_services.c: clean up services handlers in preparation of configurable aliases.
	    Made PRIVMSG targets use UIDs

2014-05-18 17:25:09  michael

	* [r3590] /ircd-hybrid/branches/8.2.x/src/event.c, 
	  /ircd-hybrid/branches/8.2.x/src/fdlist.c, 
	  /ircd-hybrid/branches/8.2.x/src/hook.c, 
	  /ircd-hybrid/branches/8.2.x/src/motd.c:
	  - Use sendto_one_numeric() everywhere

2014-05-18 16:56:00  michael

	* [r3588] /ircd-hybrid/branches/8.2.x/modules/m_services.c:
	  - m_services.c: use UID prefixed PRIVMSGs when sending stuff to services

2014-05-18 16:31:05  michael

	* [r3586] /ircd-hybrid/branches/8.2.x/modules/core/m_sjoin.c:
	  - m_sjoin.c:ms_sjoin(): removed faulty assert

2014-05-18 16:10:30  michael

	* [r3584] /ircd-hybrid/branches/8.2.x/help/kill:
	  - Update help files

2014-05-17 19:26:42  michael

	* [r3581] /ircd-hybrid/branches/8.2.x/modules/m_etrace.c:
	  - m_etrace.c: further cleanups

2014-05-17 19:22:35  michael

	* [r3579] /ircd-hybrid/branches/8.2.x/modules/m_etrace.c:
	  - m_etrace.c: constification & style corrections

2014-05-17 18:22:08  michael

	* [r3576] /ircd-hybrid/branches/8.2.x/help/challenge, 
	  /ircd-hybrid/branches/8.2.x/help/die, 
	  /ircd-hybrid/branches/8.2.x/help/join, 
	  /ircd-hybrid/branches/8.2.x/help/kill, 
	  /ircd-hybrid/branches/8.2.x/help/links, 
	  /ircd-hybrid/branches/8.2.x/help/restart, 
	  /ircd-hybrid/branches/8.2.x/help/stats:
	  - Update help files

2014-05-16 19:11:42  michael

	* [r3574] /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_info.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_links.c, 
	  /ircd-hybrid/branches/8.2.x/modules/m_stats.c, 
	  /ircd-hybrid/branches/8.2.x/src/parse.c, 
	  /ircd-hybrid/branches/8.2.x/src/send.c:
	  - Replaced remaining sendto_one() with sendto_one_numeric().
	    SND_EXPLICIT idea derived from ircu.

2014-05-16 17:03:26  michael

	* [r3572] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:valid_username(): removed extraneous parentheses

2014-05-16 16:59:32  michael

	* [r3570] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:add_one_to_uid(): use unsigned keyword

2014-05-16 16:53:04  michael

	* [r3568] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:register_local_user(): removed redundant source_p->localClient->allow_read = MAX_FLOOD_BURST
	    assignment

2014-05-16 16:48:17  michael

	* [r3566] /ircd-hybrid/branches/8.2.x/modules/m_cap.c, 
	  /ircd-hybrid/branches/8.2.x/src/irc_string.c, 
	  /ircd-hybrid/branches/8.2.x/src/match.c:
	  - Style corrections

2014-05-16 16:01:06  michael

	* [r3564] /ircd-hybrid/branches/8.2.x/src/auth.c:
	  - auth.c: constification

2014-05-16 15:52:10  michael

	* [r3562] /ircd-hybrid/branches/8.2.x/modules/m_svsmode.c:
	  - m_svsmode:ms_svsmode(): removed legacy code

2014-05-16 15:05:03  michael

	* [r3560] /ircd-hybrid/branches/8.2.x/modules/m_resv.c:
	  - m_resv.c: reformatting

2014-05-16 14:55:52  michael

	* [r3558] /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - numeric.c: minor conversion specifier cleanups

2014-05-16 14:43:59  michael

	* [r3556] /ircd-hybrid/branches/8.2.x/include/numeric.h, 
	  /ircd-hybrid/branches/8.2.x/src/numeric.c:
	  - Removed RPL_STATSNLINE

2014-05-16 14:36:07  michael

	* [r3554] /ircd-hybrid/branches/8.2.x/include/hostmask.h, 
	  /ircd-hybrid/branches/8.2.x/src/hostmask.c:
	  - find_address_conf(): constification

2014-05-16 14:00:02  michael

	* [r3551] /ircd-hybrid/branches/8.2.x/doc/reference.conf, 
	  /ircd-hybrid/branches/8.2.x/doc/serverhide.txt:
	  - Update documents

2014-05-16 13:22:00  michael

	* [r3548] /ircd-hybrid/branches/8.2.x/src/conf_class.c:
	  - conf_class.c:class_free(): added an assert()

2014-05-16 13:00:39  michael

	* [r3546] /ircd-hybrid/branches/8.2.x/modules/m_info.c:
	  - m_info.c:info_table[]: cosmetical fixes

2014-05-15 18:42:15  michael

	* [r3542] /ircd-hybrid/branches/8.2.x/configure, 
	  /ircd-hybrid/branches/8.2.x/configure.ac, 
	  /ircd-hybrid/branches/8.2.x/include/patchlevel.h:
	  - Bump version to 8.2.0beta2

2014-05-15 18:41:00  michael

	* [r3541] /ircd-hybrid/branches/8.2.x/NEWS:
	  - Update NEWS

2014-05-15 18:23:09  michael

	* [r3540] /ircd-hybrid/branches/8.2.x/modules/core/m_mode.c:
	  - m_mode.c:set_user_mode(): renamed variables

2014-05-15 18:01:52  michael

	* [r3538] /ircd-hybrid/branches/8.2.x/modules/core/m_bmask.c:
	  - m_bmask.c:ms_bmask(): cleaned up style

2014-05-15 17:46:37  michael

	* [r3536] /ircd-hybrid/branches/8.2.x/src/hostmask.c:
	  - hostmask.c:delete_one_address_conf(): replaced a DLINK_FOREACH_SAFE with DLINK_FOREACH

2014-05-15 17:43:44  michael

	* [r3534] /ircd-hybrid/branches/8.2.x/include/channel_mode.h:
	  - doxygen

2014-05-15 17:25:14  michael

	* [r3531] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2014-05-14 17:45:05  michael

	* [r3529] /ircd-hybrid/branches/8.2.x/src/user.c:
	  - user.c:register_local_user(): removed pointless assignment

2014-05-14 17:24:36  michael

	* [r3526] /ircd-hybrid/branches/8.2.x/src/ircd.c:
	  - ircd.c:main(): make this "don't run ircd as root!!!11" message look more serious

2014-05-14 17:03:16  michael

	* [r3524] /ircd-hybrid/branches/8.2.x/src/channel.c:
	  - channel.c:send_mode_list(): removed TS5 leftover

2014-05-13 17:32:39  michael

	* [r3521] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2014-05-12 21:06:52  michael

	* [r3519] /ircd-hybrid/branches/8.2.x/include/client.h:
	  - Removed unused macros; cleaned up comments

2014-05-12 19:35:07  michael

	* [r3517] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - m_stats.c:stats_operedup(): don't show idle time if operator is +q

2014-05-12 18:47:00  michael

	* [r3515] /ircd-hybrid/branches/8.2.x/doc/reference.conf:
	  - Update reference.conf

2014-05-12 18:31:21  michael

	* [r3514] /ircd-hybrid/branches/8.2.x/NEWS, 
	  /ircd-hybrid/branches/8.2.x/doc/modes.txt, 
	  /ircd-hybrid/branches/8.2.x/help/umode, 
	  /ircd-hybrid/branches/8.2.x/include/client.h, 
	  /ircd-hybrid/branches/8.2.x/modules/m_whois.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_lexer.l, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.c, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.h, 
	  /ircd-hybrid/branches/8.2.x/src/conf_parser.y, 
	  /ircd-hybrid/branches/8.2.x/src/user.c:
	  - Added usermode +p which hides channel list in WHOIS

2014-05-11 19:56:05  michael

	* [r3512] /ircd-hybrid/branches/8.2.x/modules/m_stats.c:
	  - Fixed bug where "STATS p" would show an invalid amount of irc-operators
	    in case there are +H opers

2014-05-11 19:18:04  michael

	* [r3509] /ircd-hybrid/branches/8.2.x/doc/modes.txt, 
